<!-- [QPRTemplateStart: detailspaneheader.tpl] -->
<script type="text/javascript">
  function RefreshDetailsPaneHeader(vsPageId)
  {
    var sIconUrl = sGetObjectIconUrl();
    var sTypeName = sGetObjectTypeName();

    var sHtml = "";
    var sDetailsLink = "<a href='javascript:_OpenInformationView(\"" + sGetDetailsPaneTitleUrl() + "\")' title='<#LocalizedText id="Show Details">'>";

    if (sIconUrl)
      sHtml = sDetailsLink + "<img src='" + sIconUrl + "' title='" + (sTypeName ? sTypeName : "") + "'>&nbsp;<\/a>";

    if (!sHtml)
      sHtml = "&nbsp;";
    $("#DetailsPaneHeaderIcon").html(sHtml);
    
    var sLabel = sGetObjectLabel();
    sHtml = sDetailsLink + (sLabel ? sLabel : "&nbsp;") + "<\/a>";
    $("#DetailsPaneHeaderLabel").html(sHtml);

    var sDescription = sGetObjectDescriptionHtml();
    if (IE8)
      // Hacking around problem noted in http://www.quirksmode.org/bugreports/archives/2004/11/innerhtml_and_t.html
      sDescription = "<div class='MultiLineStringField'>" + (sDescription != null ? sDescription : "") + "</div>";
    $("#DetailsPaneHeaderDescription").html(sDescription != null ? sDescription : "");

    var sButtons = sGetDetailsPaneToolbarHtml(vsPageId);
    var oButtons = $("#DetailsPaneHeaderButtons");
    oButtons.html(sButtons ? sButtons : "");

    var arHeaderProperties = arGetDetailsPaneHeaderProperties();
    var oHeaderProperties = $("#DetailsPaneHeaderProperties");
    oHeaderProperties.empty();

    if (bHideDetailsPaneHeaderProperties())
      $("#tdDetailsPaneHeaderProperties").css("display", "none");
    else if (arHeaderProperties) {
      for (var i = 0; i < arHeaderProperties.length; ++i) {
        var oProperty = arHeaderProperties[i];
        var sValue = oProperty.psValue;
        if (sValue) {
          oHeaderProperties.append($(document.createElement('TR')).
                              append($(document.createElement('TH')).
                                html(oProperty.psLabel)).
                              append($(document.createElement('TD')).
                                html(oProperty.psValue)));
        }
      }
    }
  }
</script>

<div id="DetailsPaneHeader">
  <table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 42px;">
    <tr valign="top">
      <td rowspan="2" id="DetailsPaneHeaderIcon" style="width: 20px;">
      </td>
      <td id="DetailsPaneHeaderLabel" class="Label">
      </td>
      <td id="tdDetailsPaneHeaderProperties" rowspan="2" style="width: 300px;">
        <table border="0" cellpadding="0" cellspacing="0" style="width: 100%;">
          <tbody id="DetailsPaneHeaderProperties">
          </tbody>
        </table>
      </td>
      <td id="tdDetailsPaneHeaderButtons">
        <ul id="DetailsPaneHeaderButtons" class="ToolBar">
        </ul>
      </td>
      <td valign="top" style="padding-right: 4px; padding-top: 4px; width: 16px;">
        <a id="MinimizeDetailsPaneLink" href="javascript:ToggleShowHideDetailsPane();"><img src="<#PortalImageFileLocation>btn_hidedetailspane.gif" title="<#LocalizedText id="Minimize Details Pane">"></a>
      </td>
    </tr>
    <tr valign="top">
      <td id="DetailsPaneHeaderDescription" class="Description MultiLineStringField" colspan="2">
      </td>
    </tr>
  </table>
</div>
<!-- [QPRTemplateEnd: detailspaneheader.tpl] -->
