<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
 <td>
<#LocalizedText id="Custom attribute:">
 </td>
</tr>
<tr>
 <td>
  <select id="cbxCustomAttribute" name="cbxCustomAttribute" onChange="OnViewSettingsChanged();" size="1">
  </select>
 </td>
</tr>
</table>

<script type="text/javascript">
  var _arCustomAttributes = <#customattributelist json="1">;
  {
    var select = $("#cbxCustomAttribute");
    var options = [];
    $.each(_arCustomAttributes, function (key, value) {
      options.push({"key":key, "value":value});
    });

    options.sort(function (a, b) { return a.value.localeCompare(b.value); });
    
    $.each(options, function () {
      var option = $("<option></option>")
        .html(this.value)
        .val(this.key)
        .appendTo(select);
    });
  }
  
  function sGetCustomAttributeFieldLabel(voField)
  {
    var sValue = voField.sGetFieldCustomization(0);
    if (sValue)
    {
      sValue = sDecodeURI(sExtractObjectId(sValue)).replace(/,/g, "_");
      return _arCustomAttributes[sValue];
    }
  }

  function UpdateCustomAttributeControls(voField, voForm)
  {
    if (voForm.name == "formFilterDesigner")
      voForm.cbxCustomAttribute.style.width = "100%";

    var sValue = voField.sGetFieldCustomization(0);
    if (sValue)
    {
      sValue = sDecodeURI(sExtractObjectId(sValue));
      var Options = voForm.cbxCustomAttribute.options;
      for (var i = 0; i < Options.length; i++)
      {
        if (Options[i].value.replace(/_/g, ",") == sValue)
        {
          Options[i].selected = true;
          break;
        }
      }
    }
  }

  function SaveCustomAttributeCustomizations(voField, voForm)
  {
    var Options = voForm.cbxCustomAttribute.options;
    for (var i = 0; i < Options.length; i++)
    {
      if (Options[i].selected)
      {      
        voField.SetFieldCustomization(0, sCreateExternalObjectId(PR_PG, _iModelId, sEncodeURI(Options[i].value.replace(/_/g, ","))));
        voField.SetExtraData(0, Options[i].text);
        AddObjectData(Options[i].value, Options[i].text);
        break;
      }
    }
  }

  function OnViewSettingsChanged()
  {
  }
</script>