<!DOCTYPE html>
<!-- [QPRTemplateStart: orgunitdet.tpl] -->

<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script language="JavaScript" type="text/javascript">

// Header toolbar
function sGetDetailsItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#LocalizedText id="Show Summary">", "<#ViewURL VTN="organizationitemdetails" SUMMARY="1">", "<#PortalImageFileLocation>icon_show_summary.png");
}

function sGetLocalToolbarHTML()
{
  return sGetDetailsItem();
}

function sGetViewId()
{
  return "<#ObjectId>";
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?organizations.htm";
}

function sGetHeaderViewLeftHTML()
{
  var sHTML = "<#TitleShort>";
  var sLocator = '<#OrganizationUnitLocator OpenerFunction='OpenInformationView' EndSeparator="" LevelSeparator="/">';

  if (sLocator)
    sHTML += "<span style=\"padding-left: 20px;\">" + sGenerateLocator(sLocator) + "</span>";
  return sHTML;
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
}

function OnUnload()
{
  UpdateInformationViewToolbarsFromInformationView(true);
}
</script>


</head>

<body onload="OnLoad();" onUnload="OnUnload;">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description_simple.tpl">

    <table id="Information" class="PropertyListTable" cellspacing="0" cellpadding="0">
      <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
        <#LocalizedText id="Information">
      </caption>

  		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Symbol"></th>
  			<td><#Symbol></td>
  		</tr>
		
  		<tr id="OrganizationUnitType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="orgunittype" false="display: none">">
   			<th class="Vertical"><#LocalizedText id="Organization unit type"></th>
  			<td><#OrgUnitType></td>
  		</tr>

  		<tr id="OrganizationUnitPartOf" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="partof" false="display: none">">
   			<th class="Vertical"><#HPartOf></th>
  			<td><#PartOf></td>
  		</tr>
    </table>

    <#Include template="pg_detailsview_organization_processlevels.tpl">

<#BeginSection id="SubOrganisationUnits">
<#Include template="pg_detailsview_organization_children.tpl">
<#EndSection>
<#BeginSection id="ProcessSteps">
<#Include template="pg_detailsview_organization_processsteps.tpl">
<#EndSection>
<#BeginSection id="Resources">
<#Include template="pg_detailsview_organization_resources.tpl">
<#EndSection>
<#BeginSection id="ConnectedUsers">
<#Include template="pg_detailsview_connected_users.tpl">
<#EndSection>
<#Include template="pg_detailsview_custom_attributes.tpl">
  </div>

  <#Include template="pg_detailsview_footer.tpl">
</body>
</html>
<!-- [QPRTemplateEnd: orgunitdet.tpl] -->
