<!DOCTYPE html>
<!-- [QPRTemplateStart: popup_viewsettings.tpl] -->
<html>
<head>
<title><#LocalizedText id="View Settings"></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<#stylesheet>

<style>
SELECT { width: 130px; }
</style>

<script>

ResizePopupWindow(450,250);

function UpdateHierarchyParameters(vsParameters)
{
  var undefined;
  if (bHasValidOpener(window) && window.opener.UpdateHierarchyParameters)
  {
    window.opener.UpdateHierarchyParameters(vsParameters,true);  
    window.close();
  }
}

function HandleViewSettingsForm()
{
  bSCStrategyMap = <#SCStrategyMap  false="false" true="true">;
  if (bSCStrategyMap)
    sParameters = '';
  else
    sParameters = document.forms[0].basehierarchyparams.value;

  sParameters = sParameters + '&VIE=' + document.forms[0].VIE.value;
  if (document.forms[0].SCNAME) {
    sParameters = sParameters + '&SCNAME=' + document.forms[0].SCNAME.value; }
  if (bSCStrategyMap) {
    var oInformationView = oGetInformationView();
    if (oInformationView && (typeof(oInformationView.submitPGSCParameters) != "undefined"))
      oInformationView.submitPGSCParameters(sParameters);

    window.close();
  }
  else
    UpdateHierarchyParameters(sParameters);
}

function WriteSCSettingsItem()
{
  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="SC link settings">", "<#tool_scsettingsviewaction>", "", "LinkRight"));   
}

</script>

</head>
  <body class="PopupView" topmargin="0">
    <script  type="text/javascript">
      InitializeResizeHandlerForPopup(window);
      //  Uncomment the following 7 lines to activate SC Link Settings View
      //  document.write('<table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">');
      //  document.write('<caption style="width: 100%">');
      //  document.write('<div style="float: right;">');
      //  WriteSCSettingsItem();
      //  document.write('<\/div>');
      //  document.write('<\/caption>');
      //  document.write('<\/table>');
    </script>
    <form action="<#viewsettings_action>" method="post">
      <input type="hidden" name="basehierarchyparams" id="basehierarchyparams" value="<#viewsettings_basehierarchyparams>" />
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_select.png" />
        <h1>
          <#LocalizedText id="View Settings">
        </h1>
      </div>
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td valign="TOP">
                <table border="0" width="100%" cellpadding="2" cellspacing="1">
                  <tr>
                    <td>
                      <#LocalizedText id="View Settings">
                    </td>
                    <#viewsettingslist>
                  </tr>
                  <tr>
                    <#scorecardlist>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Help">" onclick="javascript: OpenHelpWindow('<#HelpFileUrl>?pgviewsettings.htm');" />
        <input class="ButtonRight" type="button" value="<#HCancel>" onclick="window.close()" />
        <input class="ButtonRight" type="button" value="<#LocalizedText id="OK">" onClick="javascript:HandleViewSettingsForm()" />
      </div>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: popup_viewsettings.tpl] -->
