<!-- [QPRTemplateStart: associationactiondateattributeeditor.tpl] -->
<#IsPluginAvailable id="SCPLUGIN" false="<!--">
<tr id="<#AttributePackedName>">
  <th>
    <#Label>:
  </th>
  <td>
    <#LocalizedText id="Year">:
    <input type="text" name="<#Name>_YEAR" value="<#Value id="YEAR">" size="4" maxlength="4" <#IsReadOnlyAttribute true="readonly=\"readonly\""> onChange="javascript:PrepareCalendar_<#Name>();"/>
    <#LocalizedText id="Month">: 
    <select name="<#Name>_MONTH" style="width: 100px; text-transform: capitalize;" <#IsReadOnlyAttribute true="disabled=\"true\""> onChange="javascript:PrepareCalendar_<#Name>();">
      <#MonthOptions>
    </select>
    <#LocalizedText id="Day">: 
    <select name="<#Name>_DAY" style="width: 40px;" <#IsReadOnlyAttribute true="disabled=\"true\""> onChange="javascript:PrepareCalendar_<#Name>();">
      <#DayOptions>
    </select>
  </td>
  <#IsReadOnlyAttribute false="<#Include template="calendar.tpl" name="<#Name>">">
  <td>
    <input type="button" class="Button" style="width: 120px;" name="<#Name>_SelectPeriod" value="<#LocalizedText id="Select Period...">" <#IsReadOnlyAttribute true="disabled=\"true\""> onClick="javascript: OnSelectPeriodClick();" />
  </td>
</tr>
<script>
  if ("<#AssociationData id="id">" == "")
  {
    var oHeaderView = oGetHeaderView();
    if (bExists(oHeaderView))
      SetPeriodDate(oHeaderView.sGetNamedVariableValue('LASTSELPERDATE', false));
  }

  function SetPeriodDate(vsDate)
  {
    if (vsDate && (vsDate != ""))
    {
      var arData = vsDate.split('.');
      document.properties.elements['<#Name>_DAY'].options.selectedIndex = parseInt(arData[0], 10) - 1;
      document.properties.elements['<#Name>_MONTH'].options.selectedIndex = parseInt(arData[1], 10) - 1;
      document.properties.elements['<#Name>_YEAR'].value = arData[2];
      PrepareCalendar_<#Name>();
    }  
  }

  function OnSelectPeriodClick()
  {
    var sURL = sGetBaseURL('SCPLUGIN', 'scseperv');
    var sModelId = sGetModelId('scorecards', 'MOD');
    if (!(sModelId && (sModelId != '')))
      sModelId = '0';
    sURL = sSetParameter('MOD', sModelId, sURL);
    sURL = sSetParameter('OBJ', '0', sURL);
    sURL = sSetParameter('PER', '-3', sURL);
    var oHeaderView = oGetHeaderView();
    if (bExists(oHeaderView))
    {
      var sPeriodId = oHeaderView.sGetNamedVariableValue('LASTSELPERID', false);
      if (sPeriodId && (sPeriodId != ''))
      {
        sURL = sSetParameter('MOD', String(iExtractModelId(sPeriodId)), sURL);
        sURL = sSetParameter('PER', sExtractObjectId(sPeriodId), sURL);
      }
    }
    OpenWindow(sURL, 'SC_PERIOD', PERIODSELECTIONVIEW_WIDTH, PERIODSELECTIONVIEW_HEIGHT, true);
  }

  function bValidateDateValue_<#Name>() {
    var bResult = true;
    var sYear = document.properties.elements['<#Name>_YEAR'].value;
    var iCode;

    if ((sYear) && (sYear.length > 0)) {
      for (var i = 0; i < sYear.length; i++) {
        iCode = sYear.charCodeAt(i);

        if ((iCode < 48) || (iCode > 57)) {
          bResult = false;
        }
      }

      if (bResult) {
        var iYear = parseInt(sYear);
        
        if (iYear < 1899) {
          bResult = false;
        }
      }
    } else {
      bResult = false;
    }

    if (!bResult) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid year.">'));
      document.properties.elements['<#Name>_YEAR'].focus();
      return(false);
    }

    var sMonth = document.properties.elements['<#Name>_MONTH'].value;
    if (!(sMonth) || (sMonth.length < 1)) {
      bResult = false;
    } else {
      var iMonth = parseInt(sMonth);
      
      if ((iMonth < 1) || (iMonth > 12)) {
        bResult = false;
      }
    }

    if (!bResult) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid month.">'));
      document.properties.elements['<#Name>_MONTH'].focus();
      return(false);
    }

    var sDay = document.properties.elements['<#Name>_DAY'].value;
    if (!(sDay) || (sDay.length < 1)) {
      bResult = false;
    } else {
      var iDay = parseInt(sDay);
      if ((iDay < 1) || (iDay > 31)) {
        bResult = false;
      }
    }

    if (!bResult) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid day.">'));
      document.properties.elements['<#Name>_DAY'].focus();
      return(false);
    }

    if (iDay > iDaysInMonth(iMonth, iYear)) {
      bResult = false;
      alert(sDecodeURI('<#LocalizedTextMessage id="The date given is not valid.">'));
      document.properties.elements['<#Name>_DAY'].focus();
    }

    return(bResult);
  }

  RegisterValidator(bValidateDateValue_<#Name>);
</script>
<#IsPluginAvailable id="SCPLUGIN" false="-->">
<!-- [QPRTemplateEnd: associationactiondateattributeeditor.tpl] -->
