<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletpageproperties.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">

      ResizePopupWindow(390, 440);
      function openBookletHelp()
      {
	OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?pageproperties.htm'));
      }
      
      function openTemplatePreview()
      {
        var sTemplate = document.forms['formPageProperties'].elements['<#TemplateID>'].value;
      
        if (sTemplate.length > 0) {
          var sURL = "<#TemplatePreviewURL>&<#TemplateID>=" + sEncodeURI(sTemplate);
          var win = window.open(sURL, 'PageTemplatePreviewWindow');
          win.focus();
        }
      }

      function onSelectedTemplateChange(olTemplates)
      {
        var olOptions = olTemplates.options;
        if (olOptions  != null) {
	  if ((olOptions.length > 0) && (olOptions.selectedIndex > -1) &&
	    (olOptions(olOptions.selectedIndex).text != '')) {
  	    document.forms['formPageProperties'].elements['btnPreview'].disabled = false;
          }	
          else
          {
            document.forms['formPageProperties'].elements['btnPreview'].disabled = true;
          }
        } 	 	
      }    
      function OnFormLoad()
      {
        onSelectedTemplateChange(document.forms['formPageProperties'].elements['<#TemplateID>']);
        InitializeResizeHandlerForPopup(window);
      }	
   </script>
  </head>

  <body onLoad ="javascript: OnFormLoad();" rightmargin="0" topmargin="0">

    <form action="<#PropertiesURL>" name="formPageProperties" method="post">
      <table border="0" cellspacing="4" cellpadding="0" width="100%" height="1">
         <tr>
            <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Page Properties"> - <script>document.write(sAutoCutString('<#PageName>'));</script></td>
         </tr>
        <tr>
          <td class="TableCellPaddingBackground">
        <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="1">
         <tr height="1%" class="ControlGroup">
            <td>
               <table width="100%" border="0" cellpadding="2" width="100%" height="1">
                  <tr>
                     <td><#LocalizedText id="Name">:</td>
                     <td></td>
                  </tr>
                  <tr>
                     <td colspan="2"><input type="text" name="<#PageNameID>" id="<#PageNameID>" style="width: 300px" size="24" maxlength="255" value="<#PageName>"/></td>
                  </tr>
               </tr>
               </tr>
               <tr>
                  <td><#LocalizedText id="Title">:</td>
                  <td></td>
               </tr>
               <tr height="19">
                  <td height="19" colspan="2"><input type="text" style="width: 300px" name="<#PageTitleID>" id="<#PageTitleID>" size="24" maxlength="255" value="<#PageTitle>"/></td>
               </tr>
               <tr>
                  <td><#LocalizedText id="Template">:</td>
                  <td></td>
               </tr>
               <tr>
                  <td>
                    <select style="width: 200px" size="1" name="<#TemplateID>" id="<#TemplateID>" onChange = "javascript: onSelectedTemplateChange(this);">
                      <#Templates>
                    </select>
                  </td>
                  <td>
                    <input type="button" name="btnPreview" style="width: 100px" value="<#LocalizedText id="Preview">" OnClick="javascript: openTemplatePreview();"/>
                  </td>
               </tr>
               <tr>
                  <td><#LocalizedText id="Description">:</td>
                  <td align="<#IsRTL true="left" false="right">"></td>
               </tr>
               <tr>
                  <td colspan="2"><textarea name="<#PageDescriptionID>" cols="40" rows="4" style="width: 300px"><#PageDescription></textarea></td>
               </tr>
               <tr height="25">
                  <td height="25" align="<#IsRTL true="left" false="right">"></td>
                  <td align="<#IsRTL true="left" false="right">" height="25"></td>
               </tr>
               </tr>
            </table>
         </td></tr></td></tr>
   </table>
   </td></tr>

               <tr>
                  <td colspan="2" align="<#IsRTL true="left" false="right">">
                    <input type="hidden" name="<#PageIDID>" id="<#PageIDID>" value="<#PageID>"/>
                    <input type="submit" name="<#PropertiesID>" style="width: 100px" value="<#LocalizedText id="OK">"/>
                    <input type="button" style="width: 100px" value="<#LocalizedText id="Cancel">" OnClick="javascript: window.close();"/>
                    <input type="button" style="width: 100px" value="<#LocalizedText id="Help">" OnClick="javascript: openBookletHelp();"/>
                  </td>
               </tr>

   </table>
   </form>

</body>
</html>
<!-- [QPRTemplateEnd: bookletpageproperties.tpl] -->
