<!DOCTYPE html>
<!-- [QPRTemplateStart: hierarchytreeview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>

<script type="text/javascript">
function OpenDefaultHierarchyView()
{
  OpenInformationView('<#DefaultView>', <#DefaultObjectId>);
}

function sGetHierarchyToolbarHTML()
{
  var sLabel = "<#HierarchyButtonLabel enc="html">";
  var sIconBaseName = "<#HierarchyButtonIconBaseName enc="html">";
  var sActionUrl = "<#HierarchyButtonActionUrl enc="html">";
  if (sLabel)
    return sGetToolbarIconButtonHTML(sLabel, "javascript:oGetHierarchyTreeView()." + sActionUrl, "<#PortalImageFileLocation>" + sIconBaseName + ".png");
  else
    return "";
}

function OnCloseUserSelection(vsUsers)
{
  UpdateHierarchyParameters('ACTIONS_BYUSER_USERS=' + vsUsers, true, false, false, true);
}

function OpenBookmarkManagerWindow(vsURL)
{
  var oHView=oGetHeaderView();
  if (oHView)
  {
    oHView.OpenBookmarkManagerWindow(vsURL);
  }	
}

function OpenManageWordReportsWindow(vsURL)
{
  OpenWindow(vsURL, "_blank", 200, 200);
}

function OpenManageBookletsWindow(vsURL)
{
  OpenWindow(vsURL, "_blank", 200, 200);
}

</script>

    <#Include template="jshierarchytreeutils.tpl">
  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">
<script type="text/javascript">
  var oHeaderView = oGetHeaderView();
  SetTreeImagePath('<#ImageFileLocation>', 
                   (oHeaderView && oHeaderView.sGetMenuId) ? (oHeaderView.sGetMenuId() == "mycontentshome") : false,
                   false,
                   "<#IsRTL true="_rtl">");

  <#HierarchyContent>

  document.write(WriteTreeDiv());
  
  OnHierarchyCreated();
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: hierarchytreeview.tpl] -->
