<!-- [QPRTemplateStart: jsbasketobject.tpl] -->
function BasketObject()
{
  this.psId = sReadText();
  this.psPrettyName = sReadText();
  this.psUrl = sReadText();
  this.psIconUrl = sReadText();
  ReadSeparator();

  var iPos = this.psId.indexOf('_');
  if (iPos == -1)
    this.piProductId = PR_PORTAL;
  else
    this.piProductId = this.psId.slice(0, iPos);
}

function BasketObject_WriteObject()
{
  var sPrettyName = this.psPrettyName.replace(/</g, '&lt;').replace(/>/g, '&gt;');
  var sIconUrl = this.psIconUrl;
  if (sIconUrl != '')
    sIconUrl = '<img border="0" align="' + (B_NS4 ? 'top' : 'absmiddle') + '" vspacing="0" src="' + this.psIconUrl + '" />&nbsp;';
  if (this.psUrl != "") {
    if (this.bIsAssociation())
      document.write('<a href="javascript:OpenDetailsURL(\'' + this.psUrl + '\');">' + sIconUrl + sPrettyName + '</a><br>');
    else
      document.write('<a href="javascript:OpenExternalObjectURL(\'' + this.psUrl + '\');">' + sIconUrl + sPrettyName + '</a><br>');
  }
  else
    document.write(sIconUrl + sPrettyName + '<br>');
}
BasketObject.prototype.WriteObject = BasketObject_WriteObject;

function BasketObject_WriteObjectAsSelectOption(voSelect)
{
  voSelect.options[voSelect.options.length] = new Option(this.psPrettyName, this.psId);
}

BasketObject.prototype.WriteObjectAsSelectOption = BasketObject_WriteObjectAsSelectOption;

function BasketObject_bIsAssociation()
{
  return (this.psId.indexOf('_') == -1);
}

BasketObject.prototype.bIsAssociation = BasketObject_bIsAssociation;

function ReAttachBasketObjectMethods(voBasketObject)
{
  voBasketObject.WriteObject = BasketObject_WriteObject;
  voBasketObject.WriteObjectAsSelectOption = BasketObject_WriteObjectAsSelectOption;
  voBasketObject.bIsAssociation = BasketObject_bIsAssociation;
}


var _<#Name>olObjects = new Array();
var _<#Name>ilProducts = new Array();

function FolGetOrAddProductArray(viProductId)
{
  for (i = 0; i < _<#Name>olObjects.length; ++i) {
    if (_<#Name>ilProducts[i] == viProductId) 
      return _<#Name>olObjects[i];
  }

  var olResult = new Array();
  _<#Name>olObjects.push(olResult);
  _<#Name>ilProducts.push(viProductId);
  return olResult;
}

function ReadObjects(vsData, vbKeepOldObjects)
{
  _iIndex = 0;
  _sActionData = vsData;

  if (!bCheckVersion())
    return;

  ReadSeparator();

  var iChunkCount = sReadText();
  ReadSeparator();

  var iCount, t;
  var olObjects, oObject;

  for (var i = 0; i < iChunkCount; ++i) {
    iCount = sReadText();
    ReadSeparator();

    for (t = 0; t < iCount; ++t) {
      oObject = new BasketObject();
      if (oObject.psPrettyName.length > 0)
        AddBasketObject(oObject);
    }
  }
}

function AddBasketObject(voObject)
{
  var olObjects = FolGetOrAddProductArray(voObject.piProductId);

  for (var i = 0; i < olObjects.length; ++i) {
    if (olObjects[i].psId == voObject.psId) 
      return;
  }
  olObjects.push(voObject);
}

function RemoveObjectWithId(vsId)
{
  var t, olObjects, oObject;

  for (var i = 0; i < _<#Name>olObjects.length; ++i) {
    olObjects = _<#Name>olObjects[i];

    for (t = olObjects.length - 1; t >= 0; --t) {
      oObject = olObjects[t];
      if (oObject.psId == vsId)
        olObjects.splice(t, 1);
    }
  }
}

function oGetObjectWithId(vsId)
{
  var t, olObjects, oObject;

  for (var i = 0; i < _<#Name>olObjects.length; ++i) {
    olObjects = _<#Name>olObjects[i];

    for (t = olObjects.length - 1; t >= 0; --t) {
      oObject = olObjects[t];
      if (oObject.psId == vsId)
        return oObject;
    }
  }

  return;
}

<!-- [QPRTemplateEnd: jsbasketobject.tpl] -->
