<!DOCTYPE html>
<!-- [QPRTemplateStart: myresponsibilitiesview_summary.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">
  function sGetCommonToolbarHTML()
  {
    return sGetDefaultToolbarButtons();
  }
  
  function OnUnload()
  {
    if (bIsInPrintFrame())
      RefreshToolbar()
    else
      RefreshToolbar(true);
  }
  
  function getHelpContext() { return "myresponsibilities.htm"; }
</script>
  </head>

  <body scroll="no" onLoad="RefreshToolbar();" onUnload="OnUnload();" style="width: 100%; height: 100%; overflow: hidden;">
    <table class="FrameTable" height="50%" width="100%" cellpadding="2" cellspacing="0">
      <tr>
<!-- 
Supported parameters in sc_mymeasuresview.tpl:
MAXCOUNT:     Maximum total number of rows.
PERIOD:      Shown period (both period name and period id are allowed). "current", "latest" and "default" are also allowed. "default" equals to "latest".
-->
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="<!--">
        <td height="100%" width="66%" border="0">
          <iframe src="<#TableViewURL plugin="SCPLUGIN">&TPL=sc_mymeasuresview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1&PERIOD=latest" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="-->">
        <td height="100%" width="33%" border="0" align="<#IsRTL true="left" false="right">">
<!-- 
Supported parameters in myactionsview.tpl:
MAXCOUNT:     Maximum total number of rows.
-->
          <iframe src="<#TableViewURL>&TPL=myactionsview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>  
      </tr>
    </table>

    <table class="FrameTable" height="50%" width="100%" cellpadding="2" cellspacing="0">
      <tr>
<!-- 
Supported parameters in sc_myscorecardsview.tpl:
MAXCOUNT:     Maximum total number of rows.
PERIOD:      Shown period (both period name and period id are allowed). "current", "latest" and "default" are also allowed. "default" equals to "latest".
-->
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="<!--">
        <td height="100%" width="33%" border="0">
          <iframe src="<#TableViewURL plugin="SCPLUGIN">&TPL=sc_myscorecardsview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1&PERIOD=latest" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>
      <#PluginExistsAndUserHasRightsToIt id="SCPLUGIN" false="-->">
<!-- 
Supported parameters in myprocessesview.tpl:
MAXCOUNT:     Maximum total number of rows.
-->
      <#PluginExistsAndUserHasRightsToIt id="PGPLUGIN" false="<!--">
        <td height="100%" width="33%" border="0" align="<#IsRTL true="left" false="right">">
          <iframe src="<#TableViewURL plugin="PGPLUGIN">&TPL=myprocessesview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>  
      <#PluginExistsAndUserHasRightsToIt id="PGPLUGIN" false="-->">
        <td height="100%" width="33%" border="0" align="<#IsRTL true="left" false="right">">
<!-- 
Supported parameters in myprocessesview.tpl:
MAXCOUNT:         Maximum total number of rows.
ASSOCIATIONTYPE: Type (id) of the associations shown. 1 = comment, 2 = lesson, 3 = action plan, 4 = document, 14 = risk, 15 = strategy item
SORTBY:          Sort method used for rows. "default", "deadline" and "last modified date" are allowed. "default" equals to "last modified date"
-->
          <iframe src="<#TableViewURL>&TPL=myactionplansview.tpl&MAXCOUNT=8&INSERTEMPTYROWS=1&ASSOCIATIONTYPE=3&SORTBY=deadline" height="100%" width="100%" frameborder="0" scrolling="auto">
          </iframe>
        </td>  
      </tr>
    </table>
  </body>
</html>
       
<!-- [QPRTemplateEnd: myresponsibilitiesview_summary.tpl] -->
