<!DOCTYPE html>
<!-- [QPRTemplateStart: qprloginpromptview.tpl] -->
<html>
  <head>
    <title><#title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <#stylesheet>

<#include template="jsloginutils.tpl">

<script type="text/javascript">
_sCookiePrefix = 'LI_';

function sReadFromCookie(vsKey)
{
  var sAllCookies = document.cookie;
  var iBegin = sAllCookies.indexOf(vsKey  + "=");
  
  if (iBegin == -1)
    return '';

  iBegin = sAllCookies.indexOf("=", iBegin) + 1;
  var iEnd = sAllCookies.indexOf(";", iBegin);

  if (iEnd == -1)
    iEnd = sAllCookies.length;
  return sDecodeURI(sAllCookies.substring(iBegin, iEnd));
}

function WriteToCookie(vsKey, vsValue)
{
   var expireDate = new Date();
   expireDate.setFullYear(expireDate.getFullYear() + 1); 	
   document.cookie = sEncodeURI(vsKey) + '=' + sEncodeURI(vsValue) + '; path=/; expires=' + expireDate.toUTCString() ;
}

function OnUnload()
{
  var iSel;

//  if (document.loginform.RememberLoginInfo.checked) {
    WriteToCookie(_sCookiePrefix + 'USR', document.loginform.USR.value);
    if (document.loginform.DOM) {
      iSel = document.loginform.DOM.selectedIndex;
      if (iSel != -1)
        WriteToCookie(_sCookiePrefix + 'DOM', document.loginform.DOM.options[iSel].value);
      else
        WriteToCookie(_sCookiePrefix + 'DOM', '');
//    }

    iSel = document.loginform.LAN.selectedIndex;
    if (iSel != -1)
      WriteToCookie(_sCookiePrefix + 'LAN', document.loginform.LAN.options[iSel].value);
    else
      WriteToCookie(_sCookiePrefix + 'LAN', '');
  }
}

function OnLoad()
{
  if (bCheckIfOpenedInPortal())
    return;

  var bInLoginFrameset;
  try {
    bInLoginFrameset = ((parent != self) && (parent.bIsLoginView()))
  }
  catch (e) {
    bInLoginFrameset = false;
  }
  
  if (bInLoginFrameset) {
    var oLoginForm = document.getElementById("formLogin");
    oLoginForm.target = "_parent";
  }
  
  var sTemp;
  var iCount;

  document.loginform.USR.value = sReadFromCookie(_sCookiePrefix + 'USR');

  if (document.loginform.DOM) {
    sTemp = sReadFromCookie(_sCookiePrefix + 'DOM');
    for (iCount = 0; iCount < document.loginform.DOM.length; ++iCount) {
      if (document.loginform.DOM.options[iCount].value == sTemp) {
        document.loginform.DOM.selectedIndex = iCount;
        break;
      }
    }
  }

  sTemp = sReadFromCookie(_sCookiePrefix + 'LAN');
  for (iCount = 0; iCount < document.loginform.LAN.length; ++iCount) {
    if (document.loginform.LAN.options[iCount].value == sTemp) {
      document.loginform.LAN.selectedIndex = iCount;
      break;
    }
  }

  document.loginform.USR.focus();

  if (("<#SettingValue section="WAS Settings" key="StoreSessionIdToCookie">" === "1") && !bAreBrowserCookiesEnabled()) {
    document.loginform.Login.disabled = "disabled";
    alert("<#LocalizedText id="In order to login to this website, you must enable browser cookies!">");
  }
}

function bIsLoginView()
{
  return true;
}
</script>
  </head>

  <body class="LoginView" onload="OnLoad()" onunload="OnUnload()">
    <form id="formLogin" name="loginform" action="<#LoginAction>" method="post" target="_self">
      <div id="Logo">
        <img src="<#ImageFileLocation>qprlogo.png" alt="QPR" />
      </div>

      <div id="LoginViewPageWrapper">
        <div id="LoginFormWrapper">
          <input type="hidden" name="FLS" value="1" />
          <#HiddenContent>
  
          <table id="LoginViewMainTable">
            <tr>
              <td>
                <label for="USR"><#LoginName>:</label>
                <input class="Value" type="text" id="USR" name="USR" maxlength="255" />
  
                <label for="PWD"><#Password>:</label>
                <input class="Value" type="password" id="PWD" name="PWD" maxlength="50" />
  
                <#DomainStart>
                <label for="DOM"><#DomainName>:</label>
                <select class="Value" id="DOM" name="DOM" size="1">
                  <#DomainComboBoxItems>
                </select>
                <#DomainEnd>
                
                <label for="LAN"><#LanguageText>:</label>
                <select class="Value" id="LAN" name="LAN" size="1">
                  <#LanguageOptions>
                </select>
                
                <div id="LoginAutomaticallyCheckBoxWrapper" <#ShowAutoLogin false="style='display:none'">>
                  <input type="checkbox" value="1" <#AutoLoginChecked> id="ALNT" name="ALNT" />
                  <label for="ALNT"><#LocalizedText id="Login automatically next time"></label>
                </div>
                
                <input class="LoginButton" type="submit" name="Login" value="<#SubmitText>" />               
              </td>
            </tr>
          </table>
        </div>
        <div class="LoginMessage">
          <#LocalizedText id="<#URLParameter id="MSG" enc="plain">">
        </div>
      </div>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: qprloginpromptview.tpl] -->
