<!DOCTYPE html>
<!-- [QPRTemplateStart: settingspublicbookmarksview.tpl] -->
<html>
  <head>
    <#title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <#Include template="jsutils.tpl">

<script type="text/javascript">
function WriteShowAllControl()
{
  if (<#IsAdmin false="false" true="true">)
  {
    if (<#ListType> == 1) 
      document.write('<input type="checkbox" name="ToggleShowAll" onClick="showAll(true);" />&nbsp;<#LocalizedText id="Show all">&nbsp;');
    else
      document.write('<input type="checkbox" name="ToggleShowAll" checked="true" onClick="showAll(false);" />&nbsp;<#LocalizedText id="Show all">&nbsp;');
  }
}

function WriteButtons()
{
  var iListType = <#ListType>;
  var bIsAdmin = <#IsAdmin true="true" false="false">;
  if (bIsAdmin)
  {
    document.write('<input type="button" name="btnCreate" value="<#CreateText>" onClick="createBookmark(0, true, bIsShowingQuickLinks())" style="width: 100px;" />');
    document.write('<br />');
    document.write('<input type="button" name="btnCreateSeparator" value="<#LocalizedText id="Create Separator">" onClick="createBookmark(1, true, bIsShowingQuickLinks())" style="width: 100px;" />');
    document.write('<br />');
    document.write('<input type="button" name="btnCreateFolder" value="<#LocalizedText id="Create Folder">" onClick="createBookmark(2, true, bIsShowingQuickLinks())" style="width: 100px;" />');
    document.write('<br />');
  }
  document.write('<input type="button" name="Properties" value="<#LocalizedText id="Properties">" onClick="bookmarkProperties()" style="width: 100px;" />');
  document.write('<br />');
  if (bIsAdmin)
  {
    document.write('<input type="button" name="Delete" value="<#DeleteText>" onClick="deleteBookmark()" style="width: 100px;" />');  
    document.write('<br />');
  }
  if ((iListType != 1) && bIsAdmin)
  {
    document.write('<br />');
    document.write('<input type="button" name="Up" value="<#UpText>" onClick="moveUp()" style="width: 100px;" />');
    document.write('<br />');
    document.write('<input type="button" name="Down" value="<#DownText>" onClick="moveDown()" style="width: 100px;" />');
  }
}

</script>

  </head>

  <body class="PopupView" onLoad="OnLoadEx()">
    <form name="bookmarksform" action="#">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_manage.png" />
        <h1>
          <#LocalizedText id="Manage Shared Bookmarks">
        </h1>
      </div>    

      <div class="Toolbar">
 <script type="text/javascript">
  var bPortalReadOnly = <#IsPortalReadonly true="true" false="false">;

  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Help">", "javascript:OpenHelpWindow(sDecodeURI(\"<#HelpURL>?settings.htm\"))", "<#PortalImageFileLocation>icon_help.png", "LinkRight"));

  if (<#HasRights product="portal" level="update" true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Basket">", "<#VTNViewURL VTN="settings" PAG="3">", "<#PortalImageFileLocation>icon_manage_basket.png", "LinkRight", "_parent"));
  if (!bPortalReadOnly)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Shared Bookmarks">", "", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  if (!bPortalReadOnly || <#EnableBookmarksForViewUsers true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage My Bookmarks">", "<#VTNViewURL VTN="settings" PAG="0">", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  if (<#AllowProfileChangesForViewers true="true" false="false" not_a_viewer="true">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="My Profile">", "<#VTNViewURL VTN="settings">", "<#PortalImageFileLocation>icon_my_profile.png", "LinkRight", "_parent"));
</script>
      </div>

      <div class="Clearer"></div>
      
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <caption>
              <#LocalizedText id="Shared Bookmarks">
            </caption>
            <tr>
              <td style="width: 100%">
                <table border="0" cellpadding="0" cellspacing="10" style="width: 100%">
                  <tr>
                    <td colspan="2" style="padding-bottom: 4px;">
                      <table>
                        <tr>
                          <td>
                            <script type="text/javascript">
                              WriteShowAllControl();
                            </script>
                          </td>
                          <td>
                            <input type="radio" name="radViewType" value="0" onclick="OnViewTypeChanged()" />&nbsp;
                            <#LocalizedText id="Bookmarks">
                            &nbsp;
                          </td>
                          <td>
                            <input type="radio" name="radViewType" value="1" onclick="OnViewTypeChanged()" />&nbsp;
                            <#LocalizedText id="Views">
                            &nbsp;
                          </td>
                          <td>
                            <input type="radio" name="radViewType" value="2" onclick="OnViewTypeChanged()" />&nbsp;
                            <#LocalizedText id="Quick links">
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td width="100%">
                      <select name="lstbookmarks" size="14" style="width: 100%; height: 100%;" multiple onChange="bookmarkSelectChanged()">
                      </select>
                    </td>
                    <td valign="top" style="width: 110px">
                      <div class="ButtonColumn">
                      <script type="text/javascript">
                        WriteButtons();
                      </script>
                      </div>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </div>

        <input class="ButtonRight" type="button" value="<#LocalizedText id="Close">" onClick="javascript: { parent.window.close(); window.close(); }" />
      </div>
      
      <#Include template="jsbookmarkutils.tpl">
      <script type="text/javascript">

        function showAll(vbShowAll)
        {
          var sUrl = "<#VTNViewURL VTN="settings" PAG="0" TPL="settingspublicbookmarksview.tpl" CRP="p">&" + ACT_PARAM_BOOKMARK_LIST_TYPE + "=";
          if (vbShowAll)
            sUrl += "2";
          else
            sUrl += "1";
          if (bIsShowingViewSettings())
            sUrl = sSetParameter(ACT_PARAM_BOOKMARK_TYPE, "1", sUrl);
          parent.location = sUrl;
        }

        function OnLoadEx()
        {
          var iListType = <#ListType>;
<#IsAdmin false="//"> if (iListType != 0) WriteCookie(BOOKMARK_LIST_TYPE_COOKIE, iListType, null, '/', null);
          OnLoad();
        }

      </script>
    </form>	
  </body>  
</html>
<!-- [QPRTemplateEnd: settingspublicbookmarksview.tpl] -->
