<!DOCTYPE html>
<!-- [QPRTemplateStart: wordreportsframeview.tpl] -->
<#SetTemplateParameter id="OQ_attribute" value="actions:actiontypes=wordreport<#URLParameter id="WRVM" value="2" true="" false=",targetedonly=1,publishedforcreator=<#URLParameter id="WRVM" value="0" true="0" false="1">,publishedforselectedusers=<#URLParameter id="WRVM" value="0" true="0" false="1">,publishedforeveryone=<#URLParameter id="WRVM" value="1" true="0" false="1">">">
<#SetTemplateParameter id="OQ_configuration" value="wordreportsfields.ini">
<#SetTemplateParameter id="OQ_sort" value="type,wordreportheader">
<#SetTemplateParameter id="OQ_fields" value="<#URLParameter id="WRVM" value="2" true="type,wordreportheader,template,createddate,recipients,viewbutton,deletebutton" false="<#URLParameter id="WRVM" value="1" true="type,wordreportheader,template,createddate,viewbutton,deletebutton" false="type,wordreportheader,template,createddate,viewbutton">">">
<#SetTemplateParameter id="OQ_templategroup" value="wordreports">

<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <script type="text/javascript">
      var _sDefaultQueryFields = "<#Parameter id="OQ_fields">";
      var _sDefaultQuerySortBy = "<#Parameter id="OQ_sort">";
      var _consts = {
        sViewSettingsGroup : "wordreports",
        sNativeTab : "reports",
        sNativePage1 : "viewreports",
        sNativePage2 : "managereports",
        sHelpContext1 : "reports_view.htm",
        sHelpContext2 : "reports_manage.htm",
        sRootName : "<#LocalizedText id="Word reports view" enc="js">"
      };
    </script>
    <script type="text/javascript" src="<#ScriptFileLocation>resizabletable.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>analysisview.js"></script>
    <script type="text/javascript" src="<#ScriptFileLocation>actionanalysisview.js"></script>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsutils.tpl">

<script type="text/javascript">
function bUseSoftDelete()
{
  return (sGetParameter("WRVM", sGetDocumentLocation()) !== "2");
}

function sGetHeaderViewRightHTML()
{
  return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
}

CopyParametersToHierarchyViewParameters("REP_");
function OnAssociationModified(vbRefreshHierarchy)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView) 
    oHeaderView.UpdateHierarchyParameters(oHeaderView.sGetViewParameters(), true);
}

function OnAssociationDeleted(vbRefreshHierarchy)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView)
    oHeaderView.UpdateHierarchyParameters(oHeaderView.sGetViewParameters(), true);
}

function OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl)
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView)
    oHeaderView.UpdateHierarchyParameters(oHeaderView.sGetViewParameters(), true);
}
</script>

  </head>
  
  <body id="body" onLoad="OnLoad();" onUnload="OnUnload();">

<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  var _iTotalMatchCount = -2;
  var _arWidths = new Array(), _arFixedWidths = new Array();
  
  InitializeBufferedWriteHTML();
  BD();
  BT("border='0' cellpadding='2' cellspacing='1'");

<#Include template="dynamictableheader.tpl">

    <#ForEach attribute="<#Parameter id="OQ_attribute">" maxcount="50" where="" configuration="<#Parameter id="OQ_configuration">" sort="<#Parameter id="OQ_sort">" fields="<#Parameter id="OQ_fields">">

<#Include template="dynamictablefooter.tpl">

  ET();
  ED();
  document.write(sGetGeneratedHTML());
</script>
        </td>
      </tr>
    </table>
    </form>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50));
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: wordreportsframeview.tpl] -->
