<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_createelement.tpl] -->
<html>
  <head>
    <title><#title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <#Include template="jsportaltoolbarutils.tpl">

    <script type="text/javascript">

      function submitAndCloseResultHandler(result, data)
      {
        if (result == "ERROR") {
         alert(data);
        } 
        else if (result == "OK") {
          if (bHasValidOpener(parent.window)) { 
            if (parent.window.opener.ExpandParentNode) parent.window.opener.ExpandParentNode();
            else if (parent.window.opener.Reload) parent.window.opener.Reload();
          }

          parent.closeWindow();
        }
      }

      function openCreateElementHelpView()
      {
        OpenHelpWindow(sDecodeURI('<#HelpURL>?createelement.htm'));
      }

      function createMeasure()
      {
        var sAction = "<#CreateElementAction>";
        sAction += "&MNA=" + encodeURI(document.createelement.ELNAME.value);
        sAction += "&MSY=" + document.createelement.ELSYMBOL.value;
        if (document.createelement.ELTEMPLATE.selectedIndex > -1)
          sAction += "&MTP=" + document.createelement.ELTEMPLATE.options[document.createelement.ELTEMPLATE.selectedIndex].value;
        else
          sAction += "&MTP=0";
        
        parent.callFunction(sAction, submitAndCloseResultHandler);
      }

    </script>
  </head>

  <body class="PopupView" onload="document.createelement.ELNAME.focus();">
    <form name="createelement" action="#">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_manage.png" />
        <h1>
          <#LocalizedText id="Create Element">
        </h1>
      </div>    
      
      <div class="Toolbar">
 <script type="text/javascript">
  var bPortalReadOnly = <#IsPortalReadonly true="true" false="false">;
</script>
      </div>

      <div class="Clearer"></div>
      
      <div class="PopupContent">       
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
            <tr>
              <td>
                    <#LocalizedText id="Name">&nbsp;
                  </td>
                  <td>
                    <input style="width: 100%" type="text" value="" name="ELNAME" size="24" maxlength="300"/>
                  </td>
                </tr>
            <tr>
              <td>
                    <#LocalizedText id="Identifier">&nbsp;
                  </td>
                  <td>
                    <input style="width: 100%" type="text" value="" name="ELSYMBOL" size="24" maxlength="255"/>
                  </td>
                </tr>
            <tr>                      
              <td>
                    <#LocalizedText id="Template">&nbsp;
                  </td>
              <td>
              <select name="ELTEMPLATE" size="1" style="width: 250px;">
                      <#ElementTemplates>
                    </select>
                  </td>
            </tr>
          </table>
        </div><br><br>

        <input type="button" class="ButtonRight" value="<#LocalizedText id="Help">" onclick="openCreateElementHelpView()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Close">" name="CLOSE" onClick="javascript: parent.closeWindow();" />
        <input type="button" class="ButtonRight"  value="<#LocalizedText id="OK">" name="OK" onClick="javascript: createMeasure();" />
      </div>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: sc_createelement.tpl] -->
