<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_elementview_showvalues.tpl] -->
<html>
  <head>
    <title><#ShowAllTitle></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <script language="JavaScript1.2" src="<#SizeConstantsJS>"></script>

    <#PortalScript>
    <script type="text/javascript" src="<#ListJS>"></script>
    
    <#stylesheet>    

    <#Include template="jsportaltoolbarutils.tpl">
    
<!-------------------------------------------------------->
<!-- PERIOD_SERIES.SELECTIONS 1. AND 2. SHOULD BE EQUAL -->
<!-------------------------------------------------------->

<#Init>

    <script src="<#CommonScriptFileLocation>jquery.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jsobjectqueryutils.js"></script>

    <script type="text/javascript">

      function sGetLocalToolbarHTML() 
      {
        var oMainView = oGetMainView();
        return (oMainView && oMainView.bIsLicensedExcelExport() && !IPAD ? sGetToolbarIconButtonHTML("<#LocalizedText id="Export to Excel">", "javascript:oGetInformationViewFrame().ExcelExport()", "<#PortalImageFileLocation>icon_excel_export.png") : '')
<!----------------------------------------------------------------------->
<!-- 1.PERIOD_SERIES.SELECTION -->
<!-- Available values, only one / option: -->
<!-- ID = [ALL_PERIODS_ALL_SERIES, SELECTED_PERIODS_ALL_SERIES, ALL_PERIODS_SELECTED_SERIES, SELECTED_PERIODS_SELECTED_SERIES] -->
<!-- manualonly = [0, 1] -->
<!----------------------------------------------------------------------->       
<#IsPortalReadonly true="//"><#EditRights false="//">+ sGetToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Edit All">", "<#EditAllValuesURL ID="ALL_PERIODS_ALL_SERIES" manualonly="0" openshowallview="1">", 600, 600, "<#PortalImageFileLocation>icon_edit.png");
            ;
      }

      function sGetCommonToolbarHTML() 
      {
        return sGetDefaultToolbarButtons();
      }

      function sGetHelpFile()
      {
        return "<#HelpFileURL>?all_values_view.htm";
      }
      function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
      {
        return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">");
      }

      function ExcelExport()
      {
        var sUrl = sGetDocumentLocation();
        sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "sc_elementview_showvalues_excelexport.tpl", sUrl);
        sUrl = sSetParameter("EXDECSEP", (1.5).toLocaleString().charAt(1), sUrl);
        OpenWindow(sUrl, "_blank");
      }

      $(window).resize(SetupFixedHeaderTable).trigger("resize");
    </script>
  </head>
  <body id="body" onload="javascript: if (bInPortal()) {UpdateInformationViewToolbarsFromInformationView();}" onUnload="javascript: if (bInPortal()) {UpdateInformationViewToolbarsFromInformationView(true);}" style="overflow: hidden">
    <form method="post" action="<#FormAction>" name="<#FormInputName>" id="<#FormInputName>">
      <div id="PropertyListWrapper" class="PropertyList" style="width:100%">
        <div id="TableBody" style="overflow-y:auto">
          <table id="ResizableTable" class="QueryTable" border="0" cellspacing="0" cellpadding="0" width="100%">
            <caption>
              <#LocalizedText id="Values">&nbsp;-&nbsp;<#ElementName>
            </caption>
<!----------------------------------------------------------------------->
<!-- 2.PERIOD_SERIES.SELECTION -->
<!-- Available values, only one / option: -->
<!-- ID = [ALL_PERIODS_ALL_SERIES, SELECTED_PERIODS_ALL_SERIES, ALL_PERIODS_SELECTED_SERIES, SELECTED_PERIODS_SELECTED_SERIES] -->
<!-- manualonly = [0, 1] -->
<!----------------------------------------------------------------------->
            <#ShowValueList ID="ALL_PERIODS_ALL_SERIES" manualonly="0">
          </table>
        </div>
        <input type="hidden" name="<#ActionIdentifier>" value="true" />
        <#PeriodData>
      </div>
    </form>
    <script type="text/javascript">
      if ("<#SettingValue section="SCP Settings" key="EnableHyperLinksForTextValues">" === "1")
        AddHyperlinks(document, false);
    </script>
  </body>
</html>
<!-- [QPRTemplateEnd: sc_elementview_showvalues.tpl] -->
