<!-- [QPRTemplateStart: sc_elementview_summary.tpl] -->
<script type="text/javascript">
  function sGetHeaderViewLeftHTML()
  {
    var sHTML = "<#ElementName>" +
                "<span style=\"padding-left: 20px;\">-&nbsp;" + 
                "<a href='javascript:OpenScorecardForCurrentHierarchy(\"<#ScorecardURL>\");'><#ScorecardName></a> <#PendingValueUpdatesWarning>" +
                "</span>";
    return sHTML;
  }

  function sGetHeaderViewRightHTML()
  {
    var sHTML = "";
    if (<#IsCurrentValueAvailable true="true" false="false">)
      sHTML = "<#CurrentPeriod>:&nbsp;<#CurrentValue>";
    return sHTML;
  }

  if (!bInPortal())
  {
    document.write('<table class="PropertyListTable" cellpadding="0" cellspacing="0">');
    document.write('<caption class="FirstTable">');
    document.write('<#ElementName>&nbsp;(<#ScorecardName>)');  
    document.write('</caption>');
    document.write('</table>');
  }
</script>
  <#Include template="sc_elementview_description.tpl">

  <table class="PropertyListTable" cellpadding="0" cellspacing="0">
  	<caption class="FirstTable"><div class="CaptionText"><#LocalizedText id="Layout Templates"></div>
<script type="text/javascript">
  if (<#ShowLayout true="true" false="false">) {
    var sHTML = "";
    sHTML += sGetCaptionToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Layout Templates">", "<#LayoutTemplatesURL>", 400, 250, "<#PortalImageFileLocation>icon_graph_layout.png", "LinkRight");
    sHTML += sGetCaptionToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Graph Settings">", "<#GraphSettingsURL>", 400, 250, "<#PortalImageFileLocation>icon_graph_settings.png", "LinkRight");
    document.write(sHTML);
  }
</script>
  	</caption>
  	<tr>
      <td style="padding-left: 0; padding-right: 0; border-left: 0; border-right: 0">
<#GraphLayout>
      </td>
  	</tr>
  </table>

    <!-- The following variables are used to set visibility for sections:                             -->    
    <!-- "Recent Actions", "Values" and "Sub-elements".                                               -->
    <!-- _iAutoHideRecentActions. The following values are allowed: 0 or 1. The value by default is 0.-->
    <!--   0 : the recent actions are shown always.                                                   -->
    <!--   1 : this section is shown only for measures which have one or more actions linked to them. -->
    <!--                                                                                              -->
    <!-- _iAutoHideSubElements.   The following values are allowed: 0 or 1. The value by default is 1.-->
    <!--   0 : the sub elements section is shown if the template so specifies.                        -->
    <!--   1 : this section is shown only if the measure has one or more sub elements.                -->
    <!--                                                                                              -->
    <!-- _iAutoHideValues.        The following values are allowed: 0 or 1. The value by default is 1.-->
    <!--   0 : the values section is shown if the template so specifies.                              -->
    <!--   1 : this section is shown only if the measure does not have any sub elements.              -->

<script>
var _iAutoHideRecentActions=0;
var _iAutoHideSubElements = 1;
var _iAutoHideValues = 1;
</script>

    <!-- The following variables are used to store number of recent action or sub elements.           -->    
    <!-- _iNumRecentActions   : counter for all amount of recent actions that will be shown on page.  -->
    <!-- This value will be incremented throughout "sc_elementview_recenteventrow.tpl" processing.    -->
    <!-- Initial value is 0.                                                                          -->
    <!-- The way to set desired amount of recent action will be shown is to use tag parameter         -->
    <!-- "recentactionscount" from template "sc_elementview_recentevents".                            -->
    <!--                                                                                              -->
    <!-- _iNumSubElements     : counter for all amount of sub elements.                               -->
    <!-- This value will be incremented throughout "sc_elementview_subelements_row.tpl" processing.   -->
    <!-- Initial value is 0.                                                                          -->
    <!--                                                                                              -->    
    <!-- _iRecentActionsCount : This variable assigned to 0 if "recentactionscount" tag parameter     -->
    <!-- from template "sc_elementview_recentevents" is also set to 0.                                -->
    <!-- If the given value is 0 then all "Recent Action" section will be hide.                       -->
    <!-- Please, no not change the initial values for the following variables.                        -->

<script>
var _iNumRecentActions = 0;
var _iNumSubElements = 0;
var _iRecentActionsCount;
</script>

<div id="divrecentevents" name="divrecentevents">
  <#SectionRecentEvents>
</div>

<script>
  if ((_iAutoHideRecentActions != 0) && (_iAutoHideRecentActions != 1)) {
  _iAutoHideRecentActions = 0;
  }
  if ((_iAutoHideSubElements != 0) && (_iAutoHideSubElements != 1)) {
  _iAutoHideSubElements = 1;
  }
  if ((_iAutoHideValues != 0) && (_iAutoHideValues != 1)) {
    _iAutoHideValues = 1;
  }
  if (!bIsInDetailsPane() && (((_iAutoHideRecentActions == 1) && (_iNumRecentActions == 0)) || (_iRecentActionsCount == 0))) {
    document.getElementById("divrecentevents").style.display = "none";
  }
</script>

<div id="divsectionvalues" name="divsectionvalues">
  <#IsValuesAvailable false="<!--"><#SectionValues><#IsValuesAvailable false="-->">
</div>

<div id="divsectionsubelements" name="divsectionsubelements">
  <#SectionSubelements>
</div>

<script type="text/javascript">
  if ((_iAutoHideValues == 1) && (_iNumSubElements > 0)) {
  document.getElementById("divsectionvalues").style.display = "none";
  }
  if ((_iAutoHideSubElements == 1) && (_iNumSubElements == 0)) {
  document.getElementById("divsectionsubelements").style.display = "none";
  }
</script>
<!-- [QPRTemplateEnd: sc_elementview_summary.tpl] -->
