<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_meadefinition.tpl] -->
<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <#stylesheet>

    <script type="text/javascript"> 
      ResizePopupWindow(510,430);

      // OnUnLoad function doesn't have correct values for screenX, screenY in IE.  
      // that causes 'unwanted behaviour'
      var _screenLeft = 0;
      var _screenTop = 0;
 
      function OnResize() 
      {
        if (CheckNavigator() == IE) {
          _screenLeft = window.screenLeft - 4;
          _screenTop = window.screenTop - 23;
        }
        else {
           // Navigator & Mozilla 
        }
      }

      function SubmitChanges() 
      {
        document.forms['FormMeaDef'].elements['CLT'].value = 'fclose';
        document.forms['FormMeaDef'].elements['OK'].disabled = true;
        if (document.forms['FormMeaDef'].elements['<#NameId>'].disabled)
          {document.forms['FormMeaDef'].elements['<#NameId>'].disabled = false;}
        if (document.forms['FormMeaDef'].elements['<#DescId>'].disabled)
          {document.forms['FormMeaDef'].elements['<#DescId>'].disabled = false;}
        if (document.forms['FormMeaDef'].elements['<#UnitId>'].disabled)
          {document.forms['FormMeaDef'].elements['<#UnitId>'].disabled = false;}
        document.forms['FormMeaDef'].submit();
      }
      function OnLoad()
      {
        InitializeResizeHandlerForPopup(window, OnResize);
      }
    </script>
  </head>
  <body class="PopupView" onload="javascript:OnLoad();" topmargin="0">
    <form method="post" action="<#FormAction>" name="FormMeaDef" id="FormMeaDef">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_modify.png" />
        <h1>
          <#LocalizedText id="Edit Measure Definitions">
        </h1>
      </div>
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td>
                <table class="classic" border="0" cellpadding="2" cellspacing="1" width="100%">
                  <tr>
                    <td >
                      <#LocalizedText id="Element Name">:
                    </td>
                    <td>
                      <input type="text" name="<#NameID>" id="<#NameID>" value="<#ElementName>"  maxlength="<#MaxElementNameLength>" style="width: 320px;" <#LockName>>
                    </td>
                  </tr>
                  <tr>
                    <td valign="top">
                      <#LocalizedText id="Element Description">:
                    </td>
                    <td>
                      <textarea name="<#DescID>" cols="60" rows="10" style="width: 320px;" <#LockDescription>><#Description></textarea>
                    </td>
                  </tr>
                  <#MeaUnitEdit>
                  <#ForEach root="<#ExternalObjectId>" attribute="userroles" template="sc_meadefinition_userrole_row.tpl">
                </table>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Help">" onClick="javascript:OpenHelpWindow('<#HelpFileURL>?<#HelpContext>')">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close();">
        <input class="ButtonRight" type="button" name="OK" value="<#LocalizedText id="OK">" onClick="javascript: SubmitChanges();">
      </div>
      <input type="hidden" name="AID" value="true">
      <input type="hidden" name="CLT" value="">
      <input type="hidden" name="VPS" value="80">
      <input type="hidden" name="VPE" value="95">
    </form>
  </body>  
</html>
<!-- [QPRTemplateEnd: sc_meadefinition.tpl] -->
