<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_modelversion.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">

  <script type="text/javascript">
    function sGetCommonToolbarHTML()
    {
      return sGetBookmarkButton();
    }

    function sGetHelpFile()
    {
      return "<#HelpFileURL>?sc_modelpropertiesview.htm";
    }
  </script>
</head>

<body onload="javascript: if (bInPortal()) { parent.UpdateInformationViewToolbars(); }" onUnload="javascript: if (bInPortal()) { parent.UpdateInformationViewToolbars(); }">
  <div id="PropertyListWrapper" class="PropertyList">
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption><#LocalizedText id="Model Properties"></caption>
      <tr>
        <th class="Vertical"><#LocalizedText id="Model Name">:</th><td><#modelnamevalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Feedback Email Address">:</th><td><a href='mailto:<#feedbackaddressvalue>'><#feedbackaddressvalue></a></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Description">:</th><td class="MultiLineStringField"><#descriptionvalue></td>
      </tr>
    </table>
    
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption><#LocalizedText id="Model database Information"></caption>
      <tr>
        <th class="Vertical"><#LocalizedText id="Server location">:</th><td><#serveraddressvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Server port">:</th><td><#serverportvalue></td>
      </tr>
      <tr>
        <th class="Vertical"><#LocalizedText id="Database location">:</th><td><#modelpathvalue>&nbsp;&nbsp;&nbsp;
<script type="text/javascript">
  if (<#IsPortalReadonly true="false" false="true">)
    WriteButtonHTML("<#editmodel>", "<#openmodeleditvalue>");
</script>
      </tr>
    </table>
  </div>
</body>
</html>


<!-- [QPRTemplateEnd: sc_modelversion.tpl] -->
