<#Include template="jsworkflowutils.tpl">

<script type="text/javascript">
  var _arWorkflowsWithTickets = [];
  var _sTargetId = "<#FullId>";
  
  $.each(arFixInlinedObjectAttributes([<#ForEach attribute="linkedactions:actiontypes=workflowticket,forceexternalobjectattributeroot=1,externalobjectattribute=810" root="<#FullId>" where="" fields="fullid,viewurl,accesslevel,status.currentstatus,status.buttonlabel,workflow.fullid,workflow.name,workflow.viewurl" sort="name" template="genericjsonobject.tpl" fieldtemplate="JsonFields\\generic$.tpl" fieldseparator=",">]), 
  function (viIndex, voTicket) {
    if (typeof(oGetWorkflowTicketRootNode) !== "function")
      return;

    var oRoot = oGetWorkflowTicketRootNode();
    if (!oRoot)
      return;

    var sFieldHtml = WorkflowUtils.sGenerateField(_sTargetId, true, voTicket, voTicket.workflow, true);

    if (WorkflowUtils.bUserHasAccessToWorkflows())
      $("#workflows").css("display", "block");

    oRoot.append(
      $("<tr></tr>")
        .attr("id", sConvertToScriptName(voTicket.workflow.name))
        .append(
          $("<th></th>")
            .addClass("HtmlLabel")
            .text(":")
            .prepend(
              $("<a></a>")
                .text(voTicket.workflow.name)
                .attr("href", "javascript:OpenInformationView('" + voTicket.viewurl + "', '" + voTicket.fullid + "')")
            )
        )
        .append(
          $("<td></td>")
            .html(sFieldHtml)
            .appendTo(oRoot)
        )
    );

    _arWorkflowsWithTickets[_arWorkflowsWithTickets.length] = voTicket.workflow.fullid;
  });
  
  $.each(arFixInlinedObjectAttributes([<#ForEach attribute="availableworkflows" root="<#FullId>" where="" fields="fullid,name,viewurl,accesslevel,status.buttonlabel" sort="name" template="genericjsonobject.tpl" fieldtemplate="JsonFields\\generic$.tpl" fieldseparator=",">]), 
  function (viIndex, voWorkflow) {
    if (_arWorkflowsWithTickets.indexOf(voWorkflow.fullid) > -1)
      return;
    
    if (typeof(oGetWorkflowRootNode) !== "function")
      return;

    var oRoot = oGetWorkflowRootNode();
    if (!oRoot)
      return;

    var sFieldHtml = WorkflowUtils.sGenerateField(_sTargetId, true, null, voWorkflow);

    if (WorkflowUtils.bUserHasAccessToWorkflows())
      $("#workflows").css("display", "block");

    oRoot.append(
      $("<tr></tr>")
        .attr("id", sConvertToScriptName(voWorkflow.name))
        .append(
          $("<th></th>")
            .addClass("HtmlLabel")
            .text(":")
            .prepend(
              $("<a></a>")
                .text(voWorkflow.name)
                .attr("href", "javascript:OpenInformationView('" + voWorkflow.viewurl + "', '" + voWorkflow.fullid + "')")
            )
        )
        .append(
          $("<td></td>")
            .html(sFieldHtml)
            .appendTo(oRoot)
        )
    );
  });
</script>
