<!-- [QPRTemplateStart: powerpointgraphexporter.tpl] -->

<script type="text/javascript">

function PowerPointGraphExporter(voOutsideCallback, voErrorCallback,
                                 vsSlideshowId, vsTemplateId,
                                 vsObjectId, vsType, vsOptions) {
  var t; return (t = $.extend(WSFUtils(),
{
  bRecursive: false,

  Process: function(vbRecursive)
  {
    t.bRecursive = vbRecursive;
    t.LoadProxy(t.Authenticate, t.HandleError);
  },

  Authenticate: function()
  {
    t.AutoAuthenticate(t.GeneratePowerPoint, t.HandleError);
  },

  GeneratePowerPoint: function()
  {
    t.oClient.PowerPointAddSlides(
      t.sSessionId,
      vsSlideshowId,
      vsTemplateId,
      t.oCreateTypedArray([vsObjectId]),
      t.oCreateTypedArray([vsType]),
      t.oCreateTypedArray([vsOptions]),
      t.AfterGeneration, t.HandleError);
  },

  AfterGeneration: function()
  {
    t.LogOff(voOutsideCallback);
  },

  HandleError: function(voError)
  {
    var sError = t.sGetStringFromError(voError),
        oReport = function() { voErrorCallback(sError); };

    if ( t.oClient && t.sSessionId )
      t.LogOff(oReport, oReport);
    else
      oReport();
  }
}
  ));
}


function OfficeExportToolFrame() { var t; return (t = $.extend(ToolFrame(), {
  sGetHeaderHTML: function() {
    return '<h1>' + sDecodeURI('<#LocalizedTextMessage id="Export to Office">') + '</h1>';
  },

  sGetContentHTML: function() {
    var sLocation = sGetBaseURL('QPRPORTAL', ACT_COM_TABLE_VIEW);
    sLocation = sSetParameter(ACT_PARAM_TEMPLATE, 'officeexportview.tpl',
                              sLocation);
    sLocation = sAddUIPOrSession(sLocation);

    return '<iframe name="OfficeExportView" id="OfficeExportView" '
         + 'src="' + sLocation + '" marginheight="0" '
         + 'marginwidth="0" frameborder="0">'
         + '</iframe>';
  }
}));}

$.extend(OfficeExportToolFrame, ToolFrame)
 .ToolFrame = OfficeExportToolFrame;

function OfficeExport()
{
  OfficeExportToolFrame.ToggleVisibility();
}

</script>
<!-- [QPRTemplateEnd: powerpointgraphexporter.tpl] -->
