<!DOCTYPE html>
<!-- [QPRTemplateStart: setasdefaultviewsettingsview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow();
    </script>
  </head>

  <body class="PopupView" onLoad="OnLoad()" id="body">
    <form name="formProperties" action="" method="post">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_select.png" />
        <h1>
          <#LocalizedText id="Set as default view for">
        </h1>
      </div>
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td>
                <input type="radio" name="PublishFor" value="0" checked="checked" onclick="OnPublishForChanged()">
                <#LocalizedText id="Me only">
              </td>  
            </tr>
            <tr>
              <td>
                <input type="radio" name="PublishFor" value="1" onclick="OnPublishForChanged()">
                <#LocalizedText id="Everyone">
              </td>  
            </tr>
            <tr>
              <td>
                <input type="radio" name="PublishFor" value="2" onclick="OnPublishForChanged()">
                <#LocalizedText id="Selected users">
                <input class="Button" type="button" name="Users" value="<#LocalizedText id="Users">" onClick="OnUsersClick()">
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Help">" onclick="OnHelp()" />
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onclick="OnClose()" />
        <input class="ButtonRight" type="button" name="Ok" value="<#LocalizedText id="OK">" onclick="OnOk()" />
      </div>
    </form>
<script type="text/javascript">

  var _sSelectedUsers = "<#UserId>";

  function OnOk() 
  {
    if (bHasValidOpener(window)) {
      var iPublishType;
      if (document.formProperties.PublishFor[1].checked)
        iPublishType = 2;
      else if (document.formProperties.PublishFor[0].checked)
        iPublishType = 0;
      else
        iPublishType = 1;
      window.opener.OnSetAsDefaultViewSettingsClosed(iPublishType,
                                                     _sSelectedUsers,
                                                     function(vsURL, vsParams){
        // Not using OpenViewDirectly() because the params part has *triple*
        // encoding that causes IIS to choke if the parameters slip into
        // the URL part. Using setTimeout() so that the information view can
        // update itself with the new parameters while this window submits
        // the new view settings to WAS.
        setTimeout(function() {
          SubmitURLviaForm(vsURL, '_self', '', '', vsParams);
        }, 1);
      });
    }
  }

  function OnClose()
  {
    window.close(); 
  }
  
  function OnHelp()
  {
    OpenHelpWindow(sDecodeURI('<#HelpURL>?shared_setasdefaultviewsetting.htm'));
  }

  function OnPublishForChanged()
  {
    document.formProperties.Users.disabled = !document.formProperties.PublishFor[2].checked;
  }

  function OnUsersClick()
  {
    var sParams = ACT_PARAM_SELECTION + '=' + _sSelectedUsers + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_PORTAL;
    OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>', 'SetAsDefaultViewSettingsUserSelection', 'body', 'bookmarkuserselectionform', sParams);
  }

  function OnCloseUserSelection(vsSelectedUsers)
  {
    focus();
    _sSelectedUsers = vsSelectedUsers;
  }

  function OnLoad()
  {
    OnPublishForChanged();
    InitializeResizeHandlerForPopup(window);
  }
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: setasdefaultviewsettingsview.tpl] -->
