<!DOCTYPE html>
<!-- [QPRTemplateStart: flowchart_sc.tpl] -->
<html>
<head>
<title><#title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
<meta http-equiv="Pragma" CONTENT="no-cache">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>
<link type="text/css" href="<#CSSFileLocation>jquery-ui.css" rel="stylesheet" />

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">
var _bHasRightsToData = <#HasObjectRights level="view" true="true" false="false">;

function NSReload()
{
  if ((navigator.appName.indexOf('Netscape') >= 0) && (navigator.appVersion.indexOf("4.") >= 0 )) {
    document.location.reload(true); }
}

// Called when going to another process level from links on this flowchart
function sPGOpenInfoViewFromFlowchart(vsUrl, vId)
{
	OpenInformationView(vsUrl,vId);
}

function sGetZoomLevelItem()
{
	return sPGProcessOpenWindowLink("<#Tool_ZoomUrl>","<#localizedtext id="Graph Settings">");
}

var oFullSizeWinObject = "";

function SetFullSizeWindowObject(voWinObject)
{
  oFullSizeWinObject = voWinObject;
}

function CloseFullSizeWindow()
{
  if(self.name != 'fullscreen') {
    if(oFullSizeWinObject)
        oFullSizeWinObject.close();
  }
}

function sGetHeaderViewLeftHTML()
{
  var sHTML = "<#TitleShort>";
  var sLocator = '<#ProcessLevelLocator OpenerFunction='OpenInformationView' InnerLinkParams='' EndSeparator="" LevelSeparator="/">';

  if (sLocator)
    sHTML += "<span style=\"padding-left: 20px;\">" + sGenerateLocator(sLocator) + "</span>";
  return sHTML;
}
</script>
</head>

<body style="width: 100%; height: 100%; overflow: hidden;" onUnload="javascript: CloseFullSizeWindow()">
  <div id="PropertyListWrapper" class="PropertyList" style="width: 100%; height: 100%; overflow: hidden;">
    <#Include template="pg_detailsview_description.tpl">
    
    <#Include template="pg_detailsview_graph.tpl" firsttable="1">
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: flowchart_sc.tpl] -->
