<!DOCTYPE html>
<!-- [QPRTemplateStart: matrixframeview.tpl] -->

<html>
<head>

<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript script="resizabletable.js">
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>
<script type="text/javascript" src="<#PGScriptFileLocation>matrixview.js"></script> 

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#Include template="jsutils.tpl">

<style type="text/css">
th.SecondaryHeader * {
  font-weight: normal;
}
</style>

<script type="text/javascript">

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtons();
}

function sGetHeaderViewRightHTML()
{
  return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
}

function sGetHelpFile()
{
  return "<#HelpFileURL>?matrixview.htm";
}

function sGetRootName()
{
  return "<#VSName>";
}

function sModifyInformationViewUrlForDetailsPane(vsUrl)
{
  var sCurrentUrl = sGetDocumentLocation();
  if (sGetPlugin(vsUrl) === sGetPlugin(sCurrentUrl))
    vsUrl = sSetParameter("DEP", "1", vsUrl);
  return vsUrl;
}

</script>

</head>
<body onload="UpdateInformationViewToolbarsFromInformationView();" onUnload="UpdateInformationViewToolbarsFromInformationView();">

<#Include template="matrixdesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  var _iTotalMatchCount = -2;
  var _arWidths = new Array(), _arFixedWidths = new Array();
  
  InitializeEditMode();
  InitializeBufferedWriteHTML();

  BT("border='0' cellpadding='2' cellspacing='1'");

<#Include template="dynamictableheader.tpl">

    <#Matrix>

<#Include template="dynamictablefooter.tpl">

  ET();
  document.write(sGetGeneratedHTML());
</script>
        </td>
      </tr>
    </table>
  </form>
</body>
</html>
<!-- [QPRTemplateEnd: matrixframeview.tpl] -->
