<!DOCTYPE html>
<!-- [QPRTemplateStart: popup_scsettings.tpl] -->
<html>
<head>
  <title><#LocalizedText id="SC link settings"></title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<#stylesheet>

<style>
SELECT { width: 130px; }
</style>

<script>
ResizePopupWindow(450,300);

function UpdateHierarchyParameters(vsParameters)
{
  var undefined;
  if (window.opener && !window.opener.closed && window.opener.UpdateHierarchyParameters)
  {
    if (window.opener.sGetHierarchyName && window.opener.sGetHierarchyName() != 'PGPLUGIN_processmaps') {
      document.forms[0].submit();  
    }
    else {
      window.opener.UpdateHierarchyParameters(vsParameters,true);  
      window.close();
    }
  }
}

function HandleSCSettingsForm()
{
	bSCStrategyMap = <#SCStrategyMap  false="false" true="true">;
	if (bSCStrategyMap)
		sParameters = 'SMI=' + document.forms[0].SMI.value;
	else {
		sParameters = document.forms[0].basehierarchyparams.value;
		sParameters = sParameters + '&SMI=' + document.forms[0].SMI.value;
	}
	sParameters = sParameters + '&SPV=';
	if ((document.forms[0].SPV[0]) && (document.forms[0].SPV[0].checked == true)) { 
  	  sParameters = sParameters + '1'; }
	else {
	  sParameters = sParameters + '0'; }
	sParameters = sParameters + '&SMN=';
	if ((document.forms[0].SMN[0]) && (document.forms[0].SMN[0].checked == true)) { 
  	  sParameters = sParameters + '1'; }
	else {
	  sParameters = sParameters + '0'; }
	sParameters = sParameters + '&MCBG=';
	if ((document.forms[0].MCBG[0]) && (document.forms[0].MCBG[0].checked == true)) { 
  	  sParameters = sParameters + '1'; }
	else {
	  sParameters = sParameters + '0'; }
	if (document.forms[0].SCNAME) {
		sParameters = sParameters + '&SCNAME=' + document.forms[0].SCNAME.value; }
	sParameters = sParameters + '&PERIOD=' + document.forms[0].PERIOD.value;
	if (bSCStrategyMap) {
		window.opener.parent.InformationView._USER_SC.submitPGSCParameters(sParameters);
		window.close();
	}
	else
		UpdateHierarchyParameters(sParameters);
}

</script>


</head>

  <body class="PopupView" topmargin="0">
    <form action="<#scsettings_action>" method="post">
      <input type="hidden" name="basehierarchyparams" id="basehierarchyparams" value="<#scsettings_basehierarchyparams>" />
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_select.png" />
        <h1>
          <#LocalizedText id="SC Link Settings">
        </h1>
      </div>
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td valign="top">
                <table border="0" width="100%" cellpadding="2" cellspacing="1">
                  <tr>
                    <#showhideindicators>
                  </tr>
                  <tr>
                    <#ismeasurecolorusedassymbolbgcolor>
                  </tr>
                  <tr>
                    <#showhideperiodandname>
                  </tr>
                  <tr>
                    <#showhidemeasurename>
                  </tr>
                  <tr>
                    <#scorecardlist>
                  </tr>
                  <tr <#ShowPeriodList false="style='display:none'">>
                    <#periodlist>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="OK">" onClick="javascript:HandleSCSettingsForm()" />
        <input class="ButtonRight" type="button" value="<#HCancel>" onclick="window.close()" />
      </div>
    </form>
  </body>
  
</html>
<!-- [QPRTemplateEnd: popup_scsettings.tpl] -->
