<!DOCTYPE html>
<!-- [QPRTemplateStart: portalelementresourcedet.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">

<#Tool_InitializeFilters>

function sGetSubFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HSubFilter>", "<#Tool_SubFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetPStepFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HPStepFilter>", "<#Tool_PStepFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetFlowFilterItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HFlowFilter>", "<#Tool_FlowFilterUrl>", "<#PortalImageFileLocation>icon_filter.gif");
}

function sGetLocalToolbarHTML()
{
  return sGetSubFilterItem() + sGetPStepFilterItem() + sGetFlowFilterItem();
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtons();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?detailview.htm";
}

function sGetHeaderViewLeftHTML()
{
  return "<#viewtitle>";
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
}
</script>

</head>

<body onload="OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">
    <table class="PropertyListTable" cellspacing="0" cellpadding="0">
      <caption class="FirstTable">
        <#viewtitle>
      </caption>

			<tr>
				<th class="IconColumn"><#LocalizedText id="Type"></th>
				<th><#ModelElementHeader></th>
				<th><#ResourceHeader></th>
				<th><#RelationHeader></th>
				<th class="IconColumn"><#LocalizedText id="Views"></th>
			</tr>
      
			<#viewrows template="">
			<!--cell template sample is table_singlecell.tpl-->
		</table>
  </div>
</body>
</html>
<!-- [QPRTemplateEnd: portalelementresourcedet.tpl] -->
