<!-- [QPRTemplateStart: powerpointflowchartexporter.tpl] -->

<#Include template="powerpointgraphexporter.tpl">

<script type="text/javascript">

function PowerPointExport(voCallback, voErrorCallback, vsSlideshowId, vsTemplateId, voOptions)
{
  var sModelId = '<#ModelId>',
      sObjectId = '<#ObjectId>',
      sExportedId = 'PG.' + sModelId + (sObjectId != '0' ? ('.' + sObjectId) : ''),
      sViewSettings = sGetParameter('VIE', sGetDocumentLocation()),
      sOptions = voOptions && voOptions.bRecursive && 'recursive' || '';

  if (sViewSettings != '')
  {
    if (sOptions != '')
      sOptions += ',';
    sOptions += 'viewsettings=' + sViewSettings;
  }

  PowerPointGraphExporter(voCallback, voErrorCallback, vsSlideshowId, vsTemplateId, sExportedId, 'flowchart', sOptions).Process();
}

function oPowerPointSettings()
{
  return { bSubLevels : true };
}

</script>

<!-- [QPRTemplateEnd: powerpointflowchartexporter.tpl] -->
