<!DOCTYPE html>
<!-- [QPRTemplateStart: resource.tpl] -->

<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">

<script type="text/javascript">
// Header toolbar
function sGetProcessBrowserItem()
{
	sUrl = "";
	sItemText = "";
	bOpenInNew = false;
	iLevelId = 0;
	<#Tool_OpenInProcessBrowserParams>

  if(bOpenInNew){
    return sGetToolbarIconButtonHTMLForSimplePopup(sItemText, sUrl);
  }
  else {
    return sGetToolbarIconButtonHTMLForOpenInformationView(sItemText, sUrl, "<#ImageFileLocation>icn_flowchart.gif", "", iLevelId);
  }
}

function sGetDetailsItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HDetails>", "<#Tool_DetailsUrl>", "<#PortalImageFileLocation>btn_details.gif");
}

function sGetElementListItem()
{
  return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HElementList>", "<#Tool_ElementListUrl>", "<#PortalImageFileLocation>icon_element_list.gif");
}

function sGetLocalToolbarHTML()
{
  return sGetProcessBrowserItem() + sGetDetailsItem() + sGetElementListItem();
}


// Footer toolbar
function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?resources.htm";
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
}
</script>




</head>

<body onload="OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">

    <table class="PropertyListTable" border="0" width="100%" cellpadding="0" cellspacing="0">
    	<tr>
				<th width="80%"><b><#resource_title></b></th>
				<th width="20%"><b><#amount_title></b></th>
			</tr>
      <#RESOURCES template="">
			<!--cell template sample is table_singlecell.tpl-->
    </table>
  </div>

</td></tr></table>

</body>
</html>
<!-- [QPRTemplateEnd: resource.tpl] -->
