<!DOCTYPE html>
<!-- [QPRTemplateStart: actiondiscussionhierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">
  function sGetHierarchyToolbarHTML()
  {
    if (<#IsPortalReadonly true="true" false="false">)
      return "";
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Add">", "javascript:oGetHierarchyTreeView().OnAttachActionClicked()", "<#PortalImageFileLocation>icon_add.png");
  }
  
  function OnAttachActionClicked()
  {
    OpenWindow("<#VTNViewURL VTN="ASSOCIATIONEDITOR" CRP="p">&" + ACT_PARAM_ASSOCIATION_PARENT_ID + "=1")
  }

  var _sViewTemplate = "actionhierarchyview.tpl";

  var _sDefaultQueryFields = "actionhierarchy";
  var _sDefaultQueryFilters = "";
  var _sDefaultQuerySortBy = "-lastmodifieddate";
  var _sViewParameterPrefix = "POAC_";
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">
    <table style="width: 98%">
      <tr>
        <td style="width: 10px">
          &nbsp;
        </td>
        <td style="white-space: nowrap;">
          <#ForEach maxcount="50" where='' attribute="linkedactions:root=1" fields="actionhierarchy" sort="-lastmodifieddate" configuration="discussionfields.ini">
        </td>
      </tr>
    </table>
    
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50, true));
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: actiondiscussionhierarchytreeview.tpl] -->
