<!DOCTYPE html>
<!-- [QPRTemplateStart: associationattachmentuploadview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<script type="text/javascript">

  var undefined;
  var oCurrentAttachment = undefined;

  ResizePopupWindow();

  function SubmitChanges() 
  {
    if (navigator.appName.indexOf("Microsoft") == -1)
      document.properties.submit();
    else
    {
      try  
      {
        document.properties.submit();
      }
      catch(e)
      {
        alert(sDecodeURI("<#LocalizedTextMessage id="Error occurred in file upload.">"));
        window.close();
      }
    }
  }

  function OnDownloadClicked()
  {
    if (oCurrentAttachment.bIsEmbedded)
      OpenEmbeddedAttachment(oCurrentAttachment.sUrl);
    else
      OpenLinkedAttachment(oCurrentAttachment.sUrl);
  }
  function OnOkClicked()
  {
    if(document.properties.HDR.value=="keksi") {
      StartCookie();
      return;
    }
    if((document.properties.TYP[1].checked) && (trim(document.properties.FILE.value)=="") && ("<#AttachmentId>" == "") )
      alert(sDecodeURI("<#LocalizedTextMessage id="Empty embedded file location is not allowed.">"));
    else if((document.properties.TYP[0].checked) && (trim(document.properties.URL.value)=="") && ("<#AttachmentId>" == "") )
      alert(sDecodeURI("<#LocalizedTextMessage id="Empty link location is not allowed.">"));
    else
    {
      if(document.properties.TYP[0].checked) {
        document.properties.FILE.disabled = true;
      }
      else
      {
        document.properties.URL.disabled = true;
      }
      document.properties.Ok.disabled = true;

      SubmitChanges();
    }
  }
  function OnAttachmentType(viTypeMode)
  {
    if(viTypeMode==0) {
      document.getElementById('LinkedTypeDiv').style.display   = "";
      document.getElementById('EmbeddedTypeDiv').style.display = "none";
    }
    else {
      document.getElementById('EmbeddedTypeDiv').style.display = "";
      document.getElementById('LinkedTypeDiv').style.display   = "none";
    }
  }
  function OnLoad()
  {
    if ("<#AttachmentId>" != "")
      oCurrentAttachment = self.opener.FoGetSelectedAttachment();
    var iType = <#AttachmentType>;
    OnAttachmentType(iType);
    document.properties.TYP[iType].checked = true;
    if ("<#AttachmentId>" != "") {
      document.properties.TYP[0].disabled = true;
      document.properties.TYP[1].disabled = true;
      document.properties.Ok.value = sDecodeURI('<#LocalizedTextMessage id="Apply">');
      if(iType==0) { document.properties.URL.value = sDecodeURI(oCurrentAttachment.sUrl); }
    }
    document.properties.HDR.value = sDecodeURI("<#AttachmentHeader>");
    InitializeResizeHandlerForPopup(window);
  }
  function OpenAttachmentsHelp()
  {
    OpenHelpWindow(sDecodeURI('<#HelpURL>?attachments.htm'));
  }


// Cookie code -----------------
var OWNER_VACANT = ".", OWNER_AI = "O", OWNER_PLAYER = "X";
var _xSize = 12, _ySize = 12, _iDesiredLength = 5;
var _olCellStates;
var _sWinner = "";
var _iTwoOwnCounter, _iTwoOtherCounter;

function CellState(vx, vy)
{
  this.piX = vx;
  this.piY = vy;
  this.psOwner = OWNER_VACANT;
}

function CellState_sRender()
{
  if (this.psOwner == OWNER_VACANT) {
    return "<a href='javascript: OnSelect(" + this.piX + ", " + this.piY + ");'>" + this.psOwner + "</a>";
//    return "<a href='javascript: OnSelect(" + this.piX + ", " + this.piY + ");'>" + this.psOwner + '(' + this.CalculateFactor(OWNER_AI) + ')' + "</a>";
  }
  else {
    return this.psOwner;
//    return this.psOwner + '(' + this.CalculateFactor(OWNER_AI) + ')';
  }
}

function CellState_OnSelect(vsNewOwner)
{
  this.psOwner = vsNewOwner;
}

function CellState_CheckSW(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piX > 0) {
      if (this.piY < (_ySize - 1)) {
        return _olCellStates[this.piX - 1][this.piY + 1].CheckSW(vsOwner, vbNot) + 1;
      }
    }
    return 1;
  }
  return 0;
}

function CellState_CheckW(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piX > 0) {
      return _olCellStates[this.piX - 1][this.piY].CheckW(vsOwner, vbNot) + 1;
    }
    return 1;
  }
  return 0;
}

function CellState_CheckNW(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piX > 0) {
      if (this.piY > 0) {
        return _olCellStates[this.piX - 1][this.piY - 1].CheckNW(vsOwner, vbNot) + 1;
      }
    }
    return 1;
  }
  return 0;
}

function CellState_CheckN(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piY > 0) {
      return _olCellStates[this.piX][this.piY - 1].CheckN(vsOwner, vbNot) + 1;
    }
    return 1;
  }
  return 0;
}

function CellState_CheckNE(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piX < (_xSize - 1)) {
      if (this.piY > 0) {
        return _olCellStates[this.piX + 1][this.piY - 1].CheckNE(vsOwner, vbNot) + 1;
      }
    }
    return 1;
  }
  return 0;
}

function CellState_CheckE(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piX < (_xSize - 1)) {
      return _olCellStates[this.piX + 1][this.piY].CheckE(vsOwner, vbNot) + 1;
    }
    return 1;
  }
  return 0;
}

function CellState_CheckSE(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piX < (_xSize - 1)) {
      if (this.piY < (_ySize - 1)) {
        return _olCellStates[this.piX + 1][this.piY + 1].CheckSE(vsOwner, vbNot) + 1;
      }
    }
    return 1;
  }
  return 0;
}

function CellState_CheckS(vsOwner, vbNot)
{
  if ((!vbNot && (vsOwner == this.psOwner)) || (vbNot && (vsOwner != this.psOwner))) {
    if (this.piY < (_ySize - 1)) {
      return _olCellStates[this.piX][this.piY + 1].CheckS(vsOwner, vbNot) + 1;
    }
    return 1;
  }
  return 0;
}

function OtherPlayer(vsPlayer)
{
  if (vsPlayer == OWNER_AI) {
    return OWNER_PLAYER;
  }
  return OWNER_AI;
}

function AddNeighborBonus(vsPlayer, viFactor, viX, viY, viCount1, viCount2, viPossible1, viPossible2, viOther1, viOther2, viOtherPossible1, viOtherPossible2)
{
  var iOwnFactor = 0, iPossibleFactor = 0, iOtherFactor = 0;

  iOwnFactor = (10 * ((viCount1 + viCount2) * (viCount1 + viCount2)));
  if ((viCount1 + viCount2) > _iDesiredLength - 1) {
    iOwnFactor = 25000000;
  }
  else if (((viCount1 > _iDesiredLength - 2) || (viCount2 > _iDesiredLength - 2)) &&
           ((viPossible1 + viPossible2) > (_iDesiredLength - 1))) {
    iOwnFactor = 15000000;
  }
  if ((viPossible1 + viPossible2) < (_iDesiredLength - 1)) {
    iOwnFactor = 0;
  }

  iOtherFactor = (10 * ((viOther1 + viOther2) * (viOther1 + viOther2)));
  if ((viOther1 + viOther2) >= (_iDesiredLength - 1)) {
    iOtherFactor = 20000000;
  }
  else if (((viOther1 + viOther2) >= (_iDesiredLength - 2)) &&
           ((viOtherPossible1 + viOtherPossible2) >= (_iDesiredLength - 1))) {
    if ((viOther1 > 0) && (viOther2 > 0)) {
      iOtherFactor = 10000000;
    }
    else {
      iOtherFactor = 8000000;
    }
  }
  else if (((viOther1 + viOther2) >= (_iDesiredLength - 3)) &&
           ((viOtherPossible1 + viOtherPossible2) >= (_iDesiredLength - 1))) {
    if ((viOther1 > 0) && (viOther2 > 0)) {
      iOtherFactor = 6000000;
    }
    else if (_iTwoOtherCounter > 0) {
      iOtherFactor = 7000000;
      ++_iTwoOtherCounter;
    }
    else {
      ++_iTwoOtherCounter;
    }
  }

  if ((viOtherPossible1 + viOtherPossible2) < (_iDesiredLength - 1)) {
    iOtherFactor = 0;
  }

  if (viPossible1 > _iDesiredLength) {
    viPossible1 = _iDesiredLength;
  }
  if (viPossible2 > _iDesiredLength) {
    viPossible2 = _iDesiredLength;
  }
  iPossibleFactor = 5 * ((viPossible1 + viPossible2) - (_iDesiredLength - 1));

  return viFactor + iOwnFactor + iPossibleFactor + iOtherFactor;
}

function CellState_bCheckWinner(vsPlayer)
{
  var iCount = _olCellStates[this.piX][this.piY].CheckSE(vsPlayer);
  if (iCount >= _iDesiredLength) {
    _sWinner = vsPlayer;
    return true;
  }

  iCount = _olCellStates[this.piX][this.piY].CheckS(vsPlayer);
  if (iCount >= _iDesiredLength) {
    _sWinner = vsPlayer;
    return true;
  }

  iCount = _olCellStates[this.piX][this.piY].CheckE(vsPlayer);
  if (iCount >= _iDesiredLength) {
    _sWinner = vsPlayer;
    return true;
  }

  iCount = _olCellStates[this.piX][this.piY].CheckSW(vsPlayer);
  if (iCount >= _iDesiredLength) {
    _sWinner = vsPlayer;
    return true;
  }
  return false;
}

function CellState_CalculateFactor(vsOwner, vbSimple, vbRecursed)
{
  var vsOther = OtherPlayer(vsOwner);
  var iCount1, iCount2, iPossible1, iPossible2, iOther1, iOther2, iOtherPossible1, iOtherPossible2, iResult = 0;
  _iTwoOwnCounter = 0;
  _iTwoOtherCounter = 0;

  iCount1 = iCount2 = iPossible1 = iPossible2 = iOther1 = iOther2 = iOtherPossible1 = iOtherPossible2 = 0;
  if ((this.piX > 0) && (this.piY > 0)) {
    iCount1 = _olCellStates[this.piX - 1][this.piY - 1].CheckNW(vsOwner);
    iPossible1 = _olCellStates[this.piX - 1][this.piY - 1].CheckNW(vsOther, true);
    iOther1 = _olCellStates[this.piX - 1][this.piY - 1].CheckNW(vsOther);
    iOtherPossible1 = _olCellStates[this.piX - 1][this.piY - 1].CheckNW(vsOwner, true);
  }
  if ((this.piX < (_xSize - 1)) && (this.piY < (_ySize - 1))) {
    iCount2 = _olCellStates[this.piX + 1][this.piY + 1].CheckSE(vsOwner);
    iPossible2 = _olCellStates[this.piX + 1][this.piY + 1].CheckSE(vsOther, true);
    iOther2 = _olCellStates[this.piX + 1][this.piY + 1].CheckSE(vsOther);
    iOtherPossible2 = _olCellStates[this.piX + 1][this.piY + 1].CheckSE(vsOwner, true);
  }
  iResult = AddNeighborBonus(vsOwner, iResult, this.piX, this.piY, iCount1, iCount2, iPossible1, iPossible2, iOther1, iOther2, iOtherPossible1, iOtherPossible2); // NW / SE

  iCount1 = iCount2 = iPossible1 = iPossible2 = iOther1 = iOther2 = iOtherPossible1 = iOtherPossible2 = 0;
  if (this.piY > 0) {
    iCount1 = _olCellStates[this.piX][this.piY - 1].CheckN(vsOwner);
    iPossible1 = _olCellStates[this.piX][this.piY - 1].CheckN(vsOther, true);
    iOther1 = _olCellStates[this.piX][this.piY - 1].CheckN(vsOther);
    iOtherPossible1 = _olCellStates[this.piX][this.piY - 1].CheckN(vsOwner, true);
  }
  if (this.piY < (_ySize - 1)) {
    iCount2 = _olCellStates[this.piX][this.piY + 1].CheckS(vsOwner);
    iPossible2 = _olCellStates[this.piX][this.piY + 1].CheckS(vsOther, true);
    iOther2 = _olCellStates[this.piX][this.piY + 1].CheckS(vsOther);
    iOtherPossible2 = _olCellStates[this.piX][this.piY + 1].CheckS(vsOwner, true);
  }
  iResult = AddNeighborBonus(vsOwner, iResult, this.piX, this.piY, iCount1, iCount2, iPossible1, iPossible2, iOther1, iOther2, iOtherPossible1, iOtherPossible2); // N / S

  iCount1 = iCount2 = iPossible1 = iPossible2 = iOther1 = iOther2 = iOtherPossible1 = iOtherPossible2 = 0;
  if ((this.piX < (_xSize - 1)) && (this.piY > 0)) {
    iCount1 = _olCellStates[this.piX + 1][this.piY - 1].CheckNE(vsOwner);
    iPossible1 = _olCellStates[this.piX + 1][this.piY - 1].CheckNE(vsOther, true);
    iOther1 = _olCellStates[this.piX + 1][this.piY - 1].CheckNE(vsOther);
    iOtherPossible1 = _olCellStates[this.piX + 1][this.piY - 1].CheckNE(vsOwner, true);
  }
  if ((this.piX > 0) && (this.piY < (_ySize - 1))) {
    iCount2 = _olCellStates[this.piX - 1][this.piY + 1].CheckSW(vsOwner);
    iPossible2 = _olCellStates[this.piX - 1][this.piY + 1].CheckSW(vsOther, true);
    iOther2 = _olCellStates[this.piX - 1][this.piY + 1].CheckSW(vsOther);
    iOtherPossible2 = _olCellStates[this.piX - 1][this.piY + 1].CheckSW(vsOwner, true);
  }
  iResult = AddNeighborBonus(vsOwner, iResult, this.piX, this.piY, iCount1, iCount2, iPossible1, iPossible2, iOther1, iOther2, iOtherPossible1, iOtherPossible2); // NE / SW

  iCount1 = iCount2 = iPossible1 = iPossible2 = iOther1 = iOther2 = iOtherPossible1 = iOtherPossible2 = 0;
  if (this.piX < (_xSize - 1)) {
    iCount1 = _olCellStates[this.piX + 1][this.piY].CheckE(vsOwner);
    iPossible1 = _olCellStates[this.piX + 1][this.piY].CheckE(vsOther, true);
    iOther1 = _olCellStates[this.piX + 1][this.piY].CheckE(vsOther);
    iOtherPossible1 = _olCellStates[this.piX + 1][this.piY].CheckE(vsOwner, true);
  }
  if (this.piX > 0) {
    iCount2 = _olCellStates[this.piX - 1][this.piY].CheckW(vsOwner);
    iPossible2 = _olCellStates[this.piX - 1][this.piY].CheckW(vsOther, true);
    iOther2 = _olCellStates[this.piX - 1][this.piY].CheckW(vsOther);
    iOtherPossible2 = _olCellStates[this.piX - 1][this.piY].CheckW(vsOwner, true);
  }
  iResult = AddNeighborBonus(vsOwner, iResult, this.piX, this.piY, iCount1, iCount2, iPossible1, iPossible2, iOther1, iOther2, iOtherPossible1, iOtherPossible2); // E / W

  if (!vbRecursed)
    iResult = iResult + (CellState_CalculateFactor(OtherPlayer(vsOwner), vbSimple, true) / 2);
  return iResult;
}

CellState.prototype.sRender = CellState_sRender;
CellState.prototype.OnSelect = CellState_OnSelect;
CellState.prototype.CalculateFactor = CellState_CalculateFactor;
CellState.prototype.CheckSW = CellState_CheckSW;
CellState.prototype.CheckW = CellState_CheckW;
CellState.prototype.CheckNW = CellState_CheckNW;
CellState.prototype.CheckN = CellState_CheckN;
CellState.prototype.CheckNE = CellState_CheckNE;
CellState.prototype.CheckE = CellState_CheckE;
CellState.prototype.CheckSE = CellState_CheckSE;
CellState.prototype.CheckS = CellState_CheckS;
CellState.prototype.bCheckWinner = CellState_bCheckWinner;

function bCheckWinner(vsPlayer)
{
  var x, y;
  for (x = 0; x < _xSize; ++x) {
    for (y = 0; y < _ySize; ++y) {
      if (_olCellStates[x][y].bCheckWinner(vsPlayer)) {
        ShowResults();
        return true;
      }
    }
  }

  return false;
}

function MakeMove()
{
  if (bCheckWinner(OWNER_PLAYER)) {
    return;
  }

  var x, y, f, iCurrX, iCurrY, iCurrF;

  for (x = 0; x < _xSize; ++x) {
    for (y = 0; y < _ySize; ++y) {
      if (_olCellStates[x][y].psOwner != OWNER_VACANT) {
        continue;
      }

      f = _olCellStates[x][y].CalculateFactor(OWNER_AI);

      if (!iCurrF || (f > iCurrF)) {
        iCurrX = x;
        iCurrY = y;
        iCurrF = f;
      }
    }
  }

  _olCellStates[iCurrX][iCurrY].OnSelect(OWNER_AI);

  if (bCheckWinner(OWNER_AI)) {
    return;
  }
}


function OnSelect(vx, vy)
{
  if (_sWinner != "")
    return;

  _olCellStates[vx][vy].OnSelect(OWNER_PLAYER);
  MakeMove();
  RefreshGrid();
}

function bWriteToDiv(vsDivID, vsHTML)
{
  if (document.getElementById)
  {
    if (!document.getElementById(vsDivID))
      return false;
    document.getElementById(vsDivID).innerHTML = vsHTML;
  }
  else
  {
    if (document.all)
    {
      if (!document.all(vsDivID))
        return false;
      document.all(vsDivID).innerHTML = vsHTML;
    }
    else
    {
      if (document.layers)
      {
        var div = eval('document.' + vsDivID);
        if (!div)
          return false;
        div.document.open();
        div.document.write(vsHTML);
        div.document.close();
      }
    }
  }
  return true;
}

function sGenerateGrid()
{
  var x, y, sResult = "<table>";

  for (y = 0; y < _ySize; ++y) {
    sResult = sResult + "<tr>";
    for (x = 0; x < _xSize; ++x) {
      sResult = sResult + "<td align='center' width='12'>" + _olCellStates[x][y].sRender() + "</td>";
//      sResult = sResult + "<td align='center' width='100'>" + _olCellStates[x][y].sRender() + "</td>";
    }
    sResult = sResult + "</tr>";
  }

  sResult = sResult + "</table>";
  return sResult;
}

function Initialize()
{
  _olCellStates = new Array();

  var x, y;
  for (x = 0; x < _xSize; ++x) {
    _olCellStates.push(new Array());
    for (y = 0; y < _ySize; ++y) {
      _olCellStates[x].push(new CellState(x, y));
    }
  }

  if (Math.random() < 0.5) {
    MakeMove();
  }
}

function sGenerateResult()
{
  var sResult;
  if (_sWinner == OWNER_AI) {
    sResult = "You lost, buhahahaha!";
  }
  else {
    sResult = "You won, excellent!";
  }

  sResult += "<br><input type='button' value='Restart' onClick='window.location.reload();'>";
  return sResult;
}

function RefreshGrid()
{
  bWriteToDiv("grid", sGenerateGrid());
}

function ShowResults()
{
  bWriteToDiv("results", sGenerateResult());
}

function StartCookie()
{
  document.getElementById("grid").style.visibility = "visible";
  document.getElementById("results").style.visibility = "visible";

  Initialize();
  RefreshGrid();
}
</script>
  </head>

  <body class="PopupView" onLoad="OnLoad()">
    <div id="mainForm">
      <form name="properties" action="<#SubmitURL>" method="post" enctype="multipart/form-data" >
        <div id="PopupHeader">
          <script type="text/javascript">
            var sTmp, sIcon;
            if ("<#AttachmentId>" == "") {
              sTmp = '<#LocalizedText id="Attach file">';
              sIcon = "header_icon_create.png";
            }
            else
            {
              sTmp = sEscapeToHtml("<#AttachmentHeaderShort>") + '&nbsp;' + '<#LocalizedText id="Properties">';
              sIcon = "header_icon_modify.png";
            }
            document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" /><h1>');
            document.write(sTmp);                     
            </script>
          </h1>
        </div>
        <div class="PopupContent">
          <div class="PropertyFormGroupWrapper">
            <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
              <tr>
                <td>
                  <#LocalizedText id="Name">:
                </td>
                <td>
                  <input name="HDR" type="text" size="40" maxlength="255"/>
                </td>
              </tr>
              <tr>
                <td>
                  <#LocalizedText id="Location">:
                </td>
                <td>
                  <div id="EmbeddedTypeDiv" style="display: none;">
                    <input type="file" name="FILE" size="40" />
                  </div>
                  <div id="LinkedTypeDiv" style="display: none;">
                    <input type="text" name="URL" size="40" />
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <table border="0" width="100%" cellspacing="0" cellpadding="0">
                    <tr>
                      <td>
                        <input type="radio" name="TYP" value="0" onclick="javascript: OnAttachmentType(0);">
                        <#LocalizedText id="Linked">
                        <br>
                        <input type="radio" name="TYP" value="1" onclick="javascript: OnAttachmentType(1);">
                        <#LocalizedText id="Embedded">
                        <br>
                      </td>
                      <td valign="top" align="<#IsRTL true="left" false="right">">
                        <script>
                          if(('<#AttachmentType>'==1) && ("<#AttachmentId>" != ""))
                            document.write('<input class="ButtonRight" name="btnDownload" type="button" value="<#LocalizedText id="Download">" onclick="javascript: OnDownloadClicked();"/>');
                        </script>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </div>
        </div>
        <div id="DetailsFooter">
          <input class="ButtonRight" name="Help" type="button" value="<#LocalizedText id="Help">" onclick="javascript:OpenAttachmentsHelp();" />
          <input class="ButtonRight" name="Cancel" type="button" value="<#LocalizedText id="Cancel">" onclick="javascript:window.close();" />
          <input class="ButtonRight" name="Ok" type="button" value="<#LocalizedText id="OK">" onclick="javascript:OnOkClicked();" />
        </div>
      </form>
    </div>
    <div id="grid" style="visibility: hidden;">
    </div>
    <div id="results" style="visibility: hidden;">
    </div>
  </body>
</html>
<!-- [QPRTemplateEnd: associationattachmentuploadview.tpl] -->
