<!-- [QPRTemplateStart: associationintegerattributeeditor.tpl] -->
<tr id="<#AttributePackedName>">
  <th>
    <#Label><#IsMandatoryAttribute true="&nbsp;*">:
  </th>
  <td> 
    <input type="text" name="<#Name>" value="<#Value>" size="60" <#IsReadOnlyAttribute true="readonly=\"readonly\""> />
  </td>
</tr>
<script type="text/javascript">
  function bValidateIntegerValue_<#Name>() {
    var oElement = document.properties.elements['<#Name>'];
    var sValue = trim(oElement.value);
    var iResult = parseInt(sValue);
    if (isNaN(iResult) || (sValue !== "" + iResult)) {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid value.">'));
      oElement.focus();
      return false;        
    }

    return true;
  }
  RegisterValidator(bValidateIntegerValue_<#Name>);
</script>

<#Include template="jsmandatoryattributevalidator.tpl" ElementName="<#Name>">
<!-- [QPRTemplateEnd: associationintegerattributeeditor.tpl] -->
