<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletaddpageitem.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>" />
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow(400, 360);
      function openBookletHelp()
      {
	OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?addbriefingitem.htm'));
      }        
      
      function openPreview()
      {
        var sItem = document.forms['formPageItem'].elements['<#ItemID>'].value;
      
        if (sItem.length > 0) {
          var sURL = "<#NewItemPreviewURL>&<#ItemID>=" + sItem;
          OpenWindow(sURL, 'ItemPreviewWindow', 500, 400, true);          
        }
      }
      
      function bCheckSelection()
      { 
        var bResult = ((document.forms['formPageItem'].elements['<#ItemID>'].selectedIndex > -1) &&
		       (document.forms['formPageItem'].elements['<#ItemID>'].options[document.forms['formPageItem'].elements['<#ItemID>'].selectedIndex].value != 'SEP'));
        
        if (!bResult) {
          alert(sDecodeURI('<#LocalizedTextMessage id="No item was selected.">'));
          document.forms['formPageItem'].elements['<#ItemID>'].focus();        
        }
        return bResult;
      }

      function SetPreviewButton()
      {
        var oOptions = document.forms['formPageItem'].elements['<#ItemID>'].options;
        if (oOptions.length > 0)
        {
          var oOption, iSelectedCount = 0;
          for (var i = 0; i < oOptions.length; i++)
          {
            oOption = oOptions[i];
            if(oOption.selected)
            {
              if (oOption.value == 'SEP')
                oOption.selected = false;
              else
                iSelectedCount++;
            }
          }
          document.formPageItem.btnPreview.disabled = ((iSelectedCount > 1) || (iSelectedCount == 0));
        }
        else
        {
        document.formPageItem.btnPreview.disabled = true;
        }
      }		

    </script>
  </head>            
  
  <body style="margin-top: 0;">

    <form action="<#PageItemURL>" name="formPageItem" method="post" OnSubmit="javascript: { return bCheckSelection(); }">
    <table border="0" cellspacing="4" cellpadding="0" width="100%" height="1">
      <tr height="1%">
        <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Add Briefing Item"> - <#PageName></td>
      </tr>
      <tr>
        <td class="TableCellPaddingBackground">
          <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="1">
            <tr height="1%" class="ControlGroup">
              <td>
                 <table style="classic" width="100%" border="0" cellpadding="2" nowrap="true">
                    <tr>
                       <td><#LocalizedText id="Available Items"></td>
                    </tr>
                    <tr height="25">
                      <td height="25">
                        <select name="<#ItemID>" size="10" style="width: 300px" multiple onChange="javascript: SetPreviewButton()">
                          <#AvailableItems>
                        </select>
                      </td>
                    </tr>
                    <tr>
                      <td align="<#IsRTL true="left" false="right">">
                        <input type="button" name="btnPreview" style="width: 100px" disabled=true value="<#LocalizedText id="Preview">" OnClick="javascript: openPreview();">
                      </td>
                    </tr>
                    <tr height="10">
                      <td align="<#IsRTL true="left" false="right">" height="10"></td>
                    </tr>
                  </table>
               </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td align="<#IsRTL true="left" false="right">">
          <input type="submit" name="<#AddItemID>" style="width: 100px" value="<#LocalizedText id="OK">"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close()">
          <input type="button" style="width: 100px" value="<#LocalizedText id="Help">" onClick="javascript: openBookletHelp()">
        </td>
      </tr>
    </table>
    </form>
  <script  type="text/javascript">
  InitializeResizeHandlerForPopup(window);
  </script>
  </body>
</html>
<!-- [QPRTemplateEnd: bookletaddpageitem.tpl] -->
