<!DOCTYPE html>
<!-- [QPRTemplateStart: booklettextitemview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow(525, 265);

      var viewMode;

      function openBookletHelp()
      {
        if (viewMode == 'addTextItem') {
	        OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?addtextitem.htm'));
        }
        else OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?textitemproperties.htm'));
      } 
      
      function init() {        
        document.forms['formTextItem'].elements['<#TextItemNameID>'].focus();
        if (document.forms['formTextItem'].elements['<#TextItemNameID>'].value.length > 0) {
          viewMode = 'editTextItem';
        }
        else viewMode = 'addTextItem';
      }
      
      function bCheckName() {
        var iMaxLength = 35000;
        var bResult = (document.forms['formTextItem'].elements['<#TextItemNameID>'].value.length > 0);
        
        if (!bResult) {
          alert(sDecodeURI('<#LocalizedTextMessage id="Empty names are not allowed!">'));
          document.forms['formTextItem'].elements['<#TextItemNameID>'].focus();
        }
        else if (document.forms['formTextItem'].elements['<#TextItemTextID>'].value.length > iMaxLength)
        {
          if (confirm(sDecodeURI("<#LocalizedTextMessage id = "Text item is too long, the text will be cut.">")))
          {
            var sTmp = document.forms['formTextItem'].elements['<#TextItemTextID>'].value;
            document.forms['formTextItem'].elements['<#TextItemTextID>'].value = sTmp.substr(0, iMaxLength);
            bResult = true;
          }
          else        
          {
            document.forms['formTextItem'].elements['<#TextItemTextID>'].focus();            
            bResult = false;
          }          
        }
        
        return bResult;
      }    
      function OnLoad()
      {
        init();
        InitializeResizeHandlerForPopup(window);
      }
    </script>
  </head>
  <body onLoad="javascript: OnLoad();" style="margin-top: 0;">

    <form action="<#TextItemURL>" name="formTextItem" method="post" onSubmit="javascript: return bCheckName();">
      <table border="0" cellspacing="4" cellpadding="0" width="100%">
        <tr>
          <td class="ElementTitle">&nbsp;&nbsp;<#TextItemTitle></td>
        </tr>
        <tr class="ControlGroup">
          <td class="TableCellPaddingBackground">
            <table border="0" cellspacing="1" cellpadding="2" width="100%">
              <tr>
                <td>
                  <table width="100%" border="0" cellpadding="2" style="table-layout:fixed">
                    <tr>
                      <td width="40"><#LocalizedText id="Name">:</td>
                      <td nowrap="true"><input type="text" name="<#TextItemNameID>" style="width: 98%" size="24" value="<#TextItemName>" maxlength="255" /></td>
                    </tr>
                    <tr>
                      <td valign="top" width="40"><#LocalizedText id="Text">:</td>
                      <td height="64"><textarea name="<#TextItemTextID>" style="width: 98%" cols="40" rows="4"><#TextItemText></textarea></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      <tr>
        <td colspan="2" align="<#IsRTL true="left" false="right">">
          <input type="hidden" name="<#TextItemAction>"/>
          <input type="hidden" name="<#BookletObjectIDID>" value="<#BookletID>"/>
          <input type="hidden" name="<#TextItemIDID>" value="<#TextItemID>"/>
          <input type="submit" style="width: 100px" value="<#LocalizedText id="OK">"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Cancel">" onclick="javascript: window.close()"/>
          <input type="button" style="width: 100px" value="<#LocalizedText id="Help">" onClick="javascript: openBookletHelp();"/>
        </td>
      </tr>
      </table>
   </form>
   
</body>

</html>
<!-- [QPRTemplateEnd: booklettextitemview.tpl] -->
