<!DOCTYPE html>
<!-- [QPRTemplateStart: logoutview.tpl] -->
<html>
<#SetCookieValue key="LASTSELPERID" product="QPRPORTAL" value="">
<#SetCookieValue key="LASTSELPERDATE" product="QPRPORTAL" value="">
<#SetCookieValue key="LASTSELPATID" product="QPRPORTAL" value="">

<head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>

<script type="text/javascript">
  function clearAutoLogin()
  {
    document.cookie = 'UIP=empty; expires=Fri, 02 Jan 1970 00:00:00 GMT';
    document.getElementById('LAN').value = '';    
  }

  function OnRelogin(vbForceLoginView)
  {
    var sURL;
    if (vbForceLoginView) {
      clearAutoLogin();  
      sURL = '<#ReloginAction>&FORCELOGIN=1';
    }
    else
      sURL = '<#ReloginAction>';
    sLan = document.getElementById('LAN').value;
    if (<#ShowClearAutoLogin false="false" true="true">)
      sURL = sSetParameter('LAN', sLan, sURL);
    location = sURL;
  }

  function OnLoad()
  {
    document.cookie = 'IFL=; expires=Fri, 02 Jan 1970 00:00:00 GMT';
    document.cookie = 'MainHeadViewName=; expires=Fri, 02 Jan 1970 00:00:00 GMT';
    document.cookie = 'SubHeadViewName=; expires=Fri, 02 Jan 1970 00:00:00 GMT';
    document.cookie = 'SubHeadViewParams=; expires=Fri, 02 Jan 1970 00:00:00 GMT';
    document.cookie = 'SES=empty; expires=Fri, 02 Jan 1970 00:00:00 GMT';
  }
</script>
</head>

<body class="LogoutView" onLoad="OnLoad();">
  <form name="formLogout" action="<#ReloginAction>" method="post">
    <table>
      <tr>
        <td align="center">
          <#LogoutMessage>
        </td>
      </tr>
      <tr>
        <td>
          <input type="hidden" name="LAN" id="LAN" value="<#Language>"/>
          <input type="hidden" name="ALNT" value="NO_CHANGE"/>
          <input type="button" onClick="OnRelogin()" value="<#ReloginText>" />
          <input name="btnSSORelogin" type="button" onClick="OnRelogin(true)" value="<#LocalizedText id="Login as another user">" />
        </td>
      </tr>
      <tr <#ShowClearAutoLogin false="style='display:none'">>
        <td align="center">
          <table id="tableClearAutoLogin">
            <tr>
              <td>
<script type="text/javascript">
  var sMsg = sDecodeURI("<#LocalizedText enc="js" id="Your login information has been stored to browser's cookie to enable automatic login next time from this computer. $0To clear the automatic login information from the browser's cookie, please press the button below.">");
  sMsg = sMsg.replace(/\$0/gi, "<br/>");
  document.write(sMsg);
</script>  
              </td>
            </tr>
            <tr>
              <td>
                <input name="name" type="button" onClick="OnRelogin(true)" value="<#LocalizedText id="Login as another user">"/>
              </td>
            </tr>  
          </table>
        </td>
      </tr>
    </table>
  </form>

<script type="text/javascript">
  if (!(<#IsIWAEnabled true="true" false="false"> || <#IsSSOEnabled true="true" false="false">) || <#ShowClearAutoLogin true="true" false="false">)
    document.formLogout.btnSSORelogin.style.display = "none";
</script>

</body>
</html>
<!-- [QPRTemplateEnd: logoutview.tpl] -->
