<!DOCTYPE html>
<!-- [QPRTemplateStart: settingsmybookmarksview.tpl] -->
<html>
  <head>
    <#title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <#Include template="jsportaltoolbarutils.tpl">
  </head>

  <body class="PopupView" onLoad="OnLoad()">
    <form name="bookmarksform" action="#">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_manage.png" />
        <h1>
          <#LocalizedText id="Manage My Bookmarks">
        </h1>
      </div>    

      <div class="Toolbar">
 <script type="text/javascript">
  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Help">", "javascript:OpenHelpWindow(sDecodeURI(\"<#HelpURL>?settings.htm\"))", "<#PortalImageFileLocation>icon_help.png", "LinkRight"));
  if (<#HasRights product="portal" level="update" true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Basket">", "<#VTNViewURL VTN="settings" PAG="3">", "<#PortalImageFileLocation>icon_manage_basket.png", "LinkRight", "_parent"));
  if (!<#IsPortalReadonly true="true" false="false">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage Shared Bookmarks">", "<#VTNViewURL VTN="settings" CRP="p" PAG="0" BLTYP="1" UCOK="1" TPL="settingspublicbookmarksview.tpl">", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Manage My Bookmarks">", "", "<#PortalImageFileLocation>icon_manage_bookmarks.png", "LinkRight", "_parent"));
  if (<#AllowProfileChangesForViewers true="true" false="false" not_a_viewer="true">)
    document.write(sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="My Profile">", "<#VTNViewURL VTN="settings">", "<#PortalImageFileLocation>icon_my_profile.png", "LinkRight", "_parent"));
</script>
      </div>

      <div class="Clearer"></div>
      
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <caption>
              <#LocalizedText id="My Bookmarks">
            </caption>
            <tr>
              <td style="width: 100%">
                <table border="0" cellpadding="0" cellspacing="10" style="width: 100%;">
                  <tr>
                    <td style="padding-bottom: 4px;">
                      <table <#IsPortalReadonly true="style='display:none'">>
                        <tr>
                          <td>
                            <input type="radio" name="radViewType" value="0" onclick="OnViewTypeChanged()" />&nbsp;
                            <#LocalizedText id="Bookmarks">
                            &nbsp;
                          </td>
                          <td>
                            <input type="radio" name="radViewType" value="1" onclick="OnViewTypeChanged()" />&nbsp;
                            <#LocalizedText id="Views">
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td style="width: 100%">
                      <select name="lstbookmarks" size="14" style="width: 100%; height: 100%;" multiple onChange="bookmarkSelectChanged()">
                      </select>
                    </td>
                    <td valign="top" style="width: 110px">
                      <div class="ButtonColumn">
                        <input type="button" name="btnCreate" value="<#CreateText>" onClick="createBookmark(0, false, bIsShowingQuickLinks())" style="width: 100px;" />
                        <br />
                        <input type="button" name="btnCreateSeparator" value="<#LocalizedText id="Create Separator">" onClick="createBookmark(1, false, bIsShowingQuickLinks())" style="width: 100px;" />
                        <br />
                        <input type="button" name="btnCreateFolder" value="<#LocalizedText id="Create Folder">" onClick="createBookmark(2, false, bIsShowingQuickLinks())" style="width: 100px;" />
                        <br />
                        <input type="button" name="Properties" value="<#LocalizedText id="Properties">" onClick="bookmarkProperties()" style="width: 100px;" />
                        <br />
                        <input type="button" name="Delete" value="<#DeleteText>" onClick="deleteBookmark()" style="width: 100px;" />
                        <br />
                        <br />
                        <input type="button" name="Up" value="<#UpText>" onClick="moveUp()" style="width: 100px;" />
                        <br />
                        <input type="button" name="Down" value="<#DownText>" onClick="moveDown()" style="width: 100px;" />
                      </div>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </div>

        <input class="ButtonRight" type="button" value="<#LocalizedText id="Close">" onClick="javascript: { parent.window.close(); window.close(); }" />
      </div>
      <#Include template="jsbookmarkutils.tpl">
    </form>	
  </body>
</html>
<!-- [QPRTemplateEnd: settingsmybookmarksview.tpl] -->
