<!DOCTYPE html>
<!-- [QPRTemplateStart: viewsettingseditorview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>
    <#PortalScript>
  
  <script type="text/javascript">
    var sSelectedUsers = '<#PublishForUsers>';
    var sDefaultViewParameters;
    if (bHasValidOpener(window) && (window.opener.sGetSetAsDefaultViewParameters))
      sDefaultViewParameters = self.opener.sGetSetAsDefaultViewParameters();
  </script>
  
  </head>
  <body class="PopupView" onLoad="OnLoad(); OnActionChanged(); OnPublishForChanged()" id="body">
    <form id="linkproperties" name="linkproperties" action="<#URL>" method="post">
      <div id="PopupHeader">
<script type="text/javascript">
  var sTmp, sIcon;
  if ('<#ismodifystate false="0" true="1">' == 0) {
    sTmp = '<#LocalizedText id="Create New View">';
    sIcon = "header_icon_create.png";
  }
  else
  {
    sTmp = '<#LocalizedText id="Modify View">';
    sIcon = "header_icon_modify.png";
  }
  document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" /><h1>');
  document.write(sTmp);
</script>
        </h1>
      </div>
      <div class="PopupContent">
        <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td valign="top" width="<#IsAdmin true="65" false="100">%">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Properties">
                  </caption>
                  <tr>
                    <td nowrap="true" width="80">
                      <#LocalizedText id="View name">
                    </td>
                    <td width="100%">
                      <input type="text" id="NAM" name="NAM" maxlength="<#MaxBookmarkNameLength>" <#LinkNameReadOnly> value="" onFocus="OnFocusName()" style="width: 100%" />
                    </td>
                  </tr>
                  <tr>
                    <td nowrap="true" width="80">
                      <#LocalizedText id="Parameters">
                    </td>
                    <td width="100%">
                      <input type="<#LinkLocationInputType>" name="LOC" readonly="readonly" value="" style="width: 100%" />
                    </td>
                  </tr>
                </table>
              </div>
            </td>
            <td valign="top" width="35%" class="NotFirstColumn" style="<#IsAdmin false="display: none;">">
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Publish To">
                  </caption>
                  <tr>
                    <td>
                      <input type="radio" name="PublishFor" value="0" onclick="OnPublishForChanged()">&nbsp;<#LocalizedText id="Me only">
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <input type="radio" name="PublishFor" value="1" onclick="OnPublishForChanged()">&nbsp;<#LocalizedText id="Everyone">
                    </td>
                  </tr>
                  <tr>
                    <td nowrap="true">
                      <input type="radio" name="PublishFor" value="2" onclick="OnPublishForChanged()">&nbsp;<#LocalizedText id="Selected users">
                    </td>
                    <td>
                      <input class="Button" type="button" name="Users" value="<#LocalizedText id="Users">" onClick="OnUsersClick()" style="width: 100">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
        </table>
      </div>
      <div id="DetailsFooter">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Help">" onclick="openBookmarkEditorHelpView()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="Cancel">" onclick="window.close()">
        <input type="button" class="ButtonRight" value="<#LocalizedText id="OK">" name="OK" onclick="onCreateViewSettingsButtonClick()">
        <table>
          <tr>
            <td>
              <#LocalizedText id="Created by">:
            </td>
            <td>
              <script language="JavaScript">
                if ("<#AssociationData id="id">" != "")
                  document.write('<#AssociationData id="creator.prettyname">&nbsp;(<#AssociationData id="createddate">)');
                else
                  document.write('<#currentuser>&nbsp;(<#currentdate>)');
              </script>
            </td>
          </tr>
          <tr>
            <td>
              <#LocalizedText id="Last Modified by">:
            </td>
            <td>
              <script language="JavaScript">
                if ("<#AssociationData id="id">" != "")
                  document.write('<#AssociationData id="modifier.prettyname">&nbsp;(<#AssociationData id="modifieddate">)');
                else
                  document.write('<#currentuser>&nbsp;(<#currentdate>)');
              </script>
            </td>
          </tr>
        </table>
      </div>
    </form>
    <script type="text/javascript">
      var sCurrentUser = '<#UserId>';
      var bCreatingNewBookmark = <#IsDefinedRequestParameter id="BID" true="false" false="true">;

      function submitChanges(sUrl)
      {
        var bIsModifyState = <#ismodifystate true="true;" false="false;">
        var sParams = "";
        var iActionsSelectedCount = 0;

        document.linkproperties.OK.disabled = true;

        sParams += "&BTYP=1";
        sParams += "&KIND=v";
        sParams += "&USRS=" + sSelectedUsers + "&" + sGetHomeViewParams();
        sParams += "&CB=1";
        <#IsAdmin false="/*">
        if (document.linkproperties.PublishFor[1].checked)
          sParams += "&BPTYP=2";
        else if (document.linkproperties.PublishFor[0].checked)
          sParams += "&BPTYP=0";
        else
        {
          sParams += "&BPTYP=1";
          if(sSelectedUsers=="")
          {
            alert(sDecodeURI("<#LocalizedTextMessage id="No users were selected.">"));
            document.linkproperties.OK.disabled = false;
            return;
          }
        }

        <#IsAdmin false="*/">
        document.linkproperties.LOC.value = document.linkproperties.LOC.value.replace (/%&/g, sEncodeURI('%') + "&");
        if (document.linkproperties.NAM.value.replace (/\s/g, "") == "")
        {
          alert(sDecodeURI("<#LocalizedText id="Name of the view is not defined!" enc="js">"));
          document.linkproperties.OK.disabled = false;
          return;
        }
        else if (document.linkproperties.LOC.value.replace (/\s/g, "") == "")
        {
          alert("<#NoLocText>");
          document.linkproperties.OK.disabled = false;
          return;
        }
        else {
          if (document.linkproperties.Ok)
            document.linkproperties.Ok.disabled = true;
        }

        if (bHasValidOpener(window) && bExists(window.opener.OnSaveSettingsOk))
          window.opener.OnSaveSettingsOk();        
        SubmitURLviaFormOnDoc(parent.document, sUrl, '', 'body', 'linkproperties', sParams);
      }

      function onCreateViewSettingsButtonClick() {
        if (document.getElementById("NAM").readOnly)
          window.close();
        else
          submitChanges("<#ActionCreateViewURL>");
      }

      function openBookmarkEditorHelpView()
      {
        OpenHelpWindow(sDecodeURI('<#HelpURL>?shared_viewsettingseditor.htm'));
      }

      function OnActionChanged()
      {
        document.linkproperties.NAM.disabled = false;
      }

      function OnFocusName()
      {
      }

      function OnPublishForChanged()
      {
        <#IsAdmin false="//">document.linkproperties.Users.disabled = !document.linkproperties.PublishFor[2].checked;
      }

      function OnUsersClick()
      {
        <#IsAdmin false="//">var sParams = ACT_PARAM_SELECTION + '=' + sSelectedUsers + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_PORTAL;
        <#IsAdmin false="//">OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>','BookmarkEditorUserSelection','body','bookmarkuserselectionform',sParams);
      }

      function OnCloseUserSelection(vsSelectedUsers)
      {
        focus();
        sSelectedUsers = vsSelectedUsers;
      }

      function OnLoad()
      {
        var iPublishForType = <#PublishForType>;
<#IsAdmin false="//">        document.linkproperties.PublishFor[iPublishForType].checked = true;

        if (!bCreatingNewBookmark && document.linkproperties.Ok) {
          document.linkproperties.Ok.value = sDecodeURI("<#LocalizedTextMessage id="Apply">");
        }     

        var sLOC = sDecodeURI(sGetParameter(ACT_PARAM_URL, sGetDocumentLocation()));
        if (!sLOC || (sLOC.length == 0))
          sLOC = sDecodeURI("<#LinkLocation>");
        document.linkproperties.LOC.value = sLOC;
        document.linkproperties.NAM.value = sDecodeURI("<#LinkName>");

        OnPublishForChanged();
        InitializeResizeHandlerForPopup(window);
      }
      <#IsAdmin true="ResizePopupWindow(700,330);" false="ResizePopupWindow(600,330);">
    </script>
  </body>
</html>
<!-- [QPRTemplateEnd: viewsettingseditorview.tpl] -->
