<!DOCTYPE html>
<!-- [QPRTemplateStart: workflowsframeview.tpl] -->
<#SetTemplateParameter id="OQ_attribute" value="actions:actiontypes=workflow">
<#SetTemplateParameter id="OQ_configuration" value="workflowfields.ini">
<#SetTemplateParameter id="OQ_sort" value="-lastmodifieddate,header">
<#SetTemplateParameter id="OQ_fields" value="lastmodifieddate,type,header,creator,tickets">
<#SetTemplateParameter id="OQ_templategroup" value="action">

<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <script type="text/javascript">
      var _sDefaultQueryFields = "<#Parameter id="OQ_fields">";
      var _sDefaultQuerySortBy = "<#Parameter id="OQ_sort">";
      var _consts = {
        sViewSettingsGroup : "workflows",
        sNativeTab : "workflows",
        sNativePage1 : "workflowtickets",
        sHelpContext1 : "workflows_workflowtickets.htm",
        sRootName : "<#LocalizedText id="Workflows view" enc="js">"
      };
    </script>
    <script type="text/javascript" src="<#ScriptFileLocation>resizabletable.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>analysisview.js"></script>
    <script type="text/javascript" src="<#ScriptFileLocation>actionanalysisview.js"></script>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsutils.tpl">

<script type="text/javascript">
  function sGetDrillThroughCaption()
  {
    var oRecursive1 = document.getElementById('Recursive1');
    var oRecursive2 = document.getElementById('Recursive2');

    oRecursive1.value = '0';
    oRecursive2.value = '0';
    document.write('<#LocalizedText id="Drill through actions">');
  }

  function sGetHeaderViewRightHTML()
  {
    return WorkflowUtils.sGetWorkflowEngineStatusHTML();
  }

  CopyParametersToHierarchyViewParameters();
</script>

  </head>
  
  <body id="body" onLoad="OnLoad();" onUnload="OnUnload();">

<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  var _iTotalMatchCount = -2;
  var _arWidths = new Array(), _arFixedWidths = new Array();
  
  InitializeBufferedWriteHTML();
  BD();
  BT("border='0' cellpadding='2' cellspacing='1'");

<#Include template="dynamictableheader.tpl">

    <#ForEach attribute="<#Parameter id="OQ_attribute">" maxcount="50" where="" configuration="<#Parameter id="OQ_configuration">" sort="<#Parameter id="OQ_sort">" fields="<#Parameter id="OQ_fields">">

<#Include template="dynamictablefooter.tpl">

  ET();
  ED();
  document.write(sGetGeneratedHTML());
</script>
        </td>
      </tr>
    </table>
    </form>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50));
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: workflowsframeview.tpl] -->
