<!DOCTYPE html>
<!-- [QPRTemplateStart: workflowshierarchytreeview.tpl] -->
<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#PortalScript>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>
    <#stylesheet>

<#Include template="jshierarchytreeutils.tpl">
<#Include template="jsobjectqueryportalutils.tpl">

<script type="text/javascript">
  var _sViewTemplate = "workflowsview.tpl";

  function sGetHierarchyToolbarHTML()
  {
    if (<#IsPortalReadonly true="true" false="false">)
      return "";
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Add">", "javascript:oGetHierarchyTreeView().OnCreateNewWorkflowClicked()", "<#PortalImageFileLocation>icon_add.png");
  }

  function OnCreateNewWorkflowClicked()
  {
      var sUrl = sGetBaseURL("QPRPORTAL", ACT_POR_ASSOCIATION_EDITOR_VIEW);
      sUrl = sSetParameter(ACT_PARAM_ASSOCIATION_TYPE, "21", sUrl);
      OpenWindow(sUrl);
  }
</script>

  </head>
  <body class="HierarchyView" onload="OnLoad();" onunload="javascript:OnUnload()">

<script type="text/javascript">
  SetTreeImagePath('<#ImageFileLocation>', false, false, "<#IsRTL true="_rtl">");

  var sURL = 'javascript:OpenActionLink(\'\',\'all\')';
  AddNormalNode("analysis", "<#LocalizedText id="All workflows">", "<#ImageFileLocation>icon_all_workflows.png", sURL, "HierarchyRow", "tl");
  document.write(WriteTreeDiv());
  UpdateHierarchyParams();  
  OnHierarchyCreated();
</script>

  </body>
</html>
<!-- [QPRTemplateEnd: workflowshierarchytreeview.tpl] -->
