<!-- [QPRTemplateStart: jsobjectqueryscutils.tpl] -->
<script type="text/javascript">
  var _iSCId = iExtractObjectId(_sRoot);
  if ( isNaN(_iSCId) ) _iSCId = NO_ID;
  var _sPeriodSelectionURL = "<#PeriodSelectionViewURL>&" + ACT_PARAM_MODEL + "=" + _iModelId + "&OBJ=" + _iSCId;
  var _sSeriesSelectionURL = "<#SeriesSelectionViewURL>&" + ACT_PARAM_MODEL + "=" + _iModelId + "&OBJ=" + _iSCId + "&RANGELIMITS=1";
  var _sViewParameterPrefix = "";
  var _bFieldSeriesSelectionOpened, _bFieldPeriodSelectionOpened;

  InitializeEditorView();

  function OpenPeriodSelectionView(vsExtraParams)
  {
    _bFieldPeriodSelectionOpened = false;
    if (vsExtraParams)
      OpenWindow(_sPeriodSelectionURL + vsExtraParams, "SC_PERIOD", PERIODSELECTIONVIEW_WIDTH, PERIODSELECTIONVIEW_HEIGHT, true);
    else
      OpenWindow(_sPeriodSelectionURL, "SC_PERIOD", PERIODSELECTIONVIEW_WIDTH, PERIODSELECTIONVIEW_HEIGHT, true);
  }
  
  function OpenSeriesSelectionView(vsExtraParams)
  {
    _bFieldSeriesSelectionOpened = false;
    if (vsExtraParams)
      OpenWindow(_sSeriesSelectionURL + vsExtraParams, "SC_SERIES", 400, 410, true);
    else
      OpenWindow(_sSeriesSelectionURL, "SC_SERIES", 400, 410, true);
  }

  function OnSelectSeries()
  {
    OpenSeriesSelectionView();
    _bFieldSeriesSelectionOpened = true;
  }
 
  function OnSelectPeriod()
  {
    var sPeriodId = _oSelectedField.sGetFieldCustomization(1);
    if ((sPeriodId != 'default') && (sPeriodId != 'd'))
      OpenPeriodSelectionView("&PER=" + iExtractObjectId(sPeriodId));
    else
      OpenPeriodSelectionView();
    _bFieldPeriodSelectionOpened = true;
  }

  function OpenPeriodSelectionViewFromToolbar()
  {
    var sPeriodId = sGetParameter("PER", sGetDocumentLocation());
    if (sPeriodId && (sPeriodId != ""))
      OpenPeriodSelectionView("&PER=" + sPeriodId);
    else
      OpenPeriodSelectionView();
  }
  
  function OpenSeriesSelectionViewFromToolbar()
  {
    var sSeriesId = sGetParameter("PAT", sGetDocumentLocation());
    if (sSeriesId && (sSeriesId != ""))
      OpenSeriesSelectionView("&PAT=" + sSeriesId);
    else
      OpenSeriesSelectionView();
  }

  function OnPeriodHierarchyClosed(vsPeriodName, viPeriodId, vsDate)
  {
    if (_bFieldPeriodSelectionOpened) {
      var sPeriodId, sPeriodName;
      if (viPeriodId == 0)
      {
        sPeriodId = vsPeriodName;
        sPeriodName = sDecodeURI("<#LocalizedText id="View default" enc="js">");
      }
      else
      {
        sPeriodId = sCreateExternalObjectId(PR_SC, _iModelId, viPeriodId);
        sPeriodName = vsPeriodName;
      }
      _oSelectedField.SetFieldCustomization(1, sPeriodId);
      _oSelectedField.SetExtraData(EXTRA_DATA_PERIOD, sPeriodName);
      SaveFieldCustomizations(document.formTableDesigner);
      UpdateControlStates();
      OnViewSettingsChanged();
    }
    else {
      var oMainView = oGetMainView();
      var oHeaderView = oGetHeaderView();
      var oInformationView = oGetInformationView();
      if (oMainView && oHeaderView && oInformationView) {
        var sPeriodId;
        if (viPeriodId == 0)
          sPeriodId = oHeaderView.sGetNamedVariableValue('CURVSPERID', false);
        else
          sPeriodId = sCreateExternalObjectId(PR_SC, _iModelId, viPeriodId);
        oHeaderView.SetNamedVariableValue('LASTSELPERID', sPeriodId, false);
        oHeaderView.SetNamedVariableValue('LASTSELPERDATE', vsDate, false);
        if ((typeof(bIsNativeView) != "function") || !bIsNativeView()) {
          OpenInformationView(sSetParameter("PER", sPeriodId, oInformationView.sGetDocumentLocation()), oHeaderView.sGetCurrentObjectId());
        } 
        else if (oInformationView.sGetDetailsPaneUrl && oInformationView.sAddAlteredDynamicState) {
          var sInformationViewUrl = sSetParameter("PER", sPeriodId, oInformationView.sGetDocumentLocation());
          sInformationViewUrl = oInformationView.sAddAlteredDynamicState(sInformationViewUrl, sRemoveEditingParametersFromURL(oInformationView.sGetDetailsPaneUrl()), 'PER=' + sPeriodId);
          oMainView.UpdateHierarchyParametersAndPortalStateWithoutRefresh(sSetParameter("PER", sPeriodId, oHeaderView.sGetHierarchyParameters()));
          OpenInformationView(sRemoveEditingParametersFromURL(sInformationViewUrl), oHeaderView.sGetCurrentObjectId());
        }
        else
          oMainView.UpdateHierarchyParameters(sSetParameter("PER", sPeriodId, oHeaderView.sGetHierarchyParameters()), true);
      }
    }
  }
  
  function OnSeriesSelectionClosed(vsSeriesName, viSeriesId)
  {
    if (_bFieldSeriesSelectionOpened) {
      var sSeries, sSeriesName
      if (viSeriesId == -3) {
        sSeries = "d";
        sSeriesName = sDecodeURI("<#LocalizedText id="View default" enc="js">");
      }
      else {
        sSeries = sCreateExternalObjectId(PR_SC, _iModelId, viSeriesId);
        sSeriesName = vsSeriesName;
      }
      _oSelectedField.SetFieldCustomization(0, sSeries);
      _oSelectedField.SetExtraData(EXTRA_DATA_SERIES, sSeriesName);
      SaveFieldCustomizations(document.formTableDesigner);
      UpdateControlStates();
      OnViewSettingsChanged();
    }
    else {
      var oMainView = oGetMainView();
      var oHeaderView = oGetHeaderView();
      var oInformationView = oGetInformationView();
      if (oMainView && oHeaderView && oInformationView) {
        var sSeriesId = sCreateExternalObjectId(PR_SC, _iModelId, viSeriesId);
        oHeaderView.SetNamedVariableValue('LASTSELPATID', sSeriesId, false);
        if (sGetParameter("BOOKMARK", sGetDocumentLocation())) {
          OpenInformationView(sSetParameter("PAT", sSeriesId, oInformationView.sGetDocumentLocation()), oHeaderView.sGetCurrentObjectId());
        }
        else if (oInformationView.sGetDetailsPaneUrl && oInformationView.sAddAlteredDynamicState) {
          var sInformationViewUrl = sSetParameter("PAT", sSeriesId, oInformationView.sGetDocumentLocation());
          sInformationViewUrl = oInformationView.sAddAlteredDynamicState(sInformationViewUrl, sRemoveEditingParametersFromURL(oInformationView.sGetDetailsPaneUrl()), 'PAT=' + sSeriesId);
          oMainView.UpdateHierarchyParametersAndPortalStateWithoutRefresh(sSetParameter("PAT", sSeriesId, oHeaderView.sGetHierarchyParameters()));
          OpenInformationView(sRemoveEditingParametersFromURL(sInformationViewUrl), oHeaderView.sGetCurrentObjectId());
        }
        else
          oMainView.UpdateHierarchyParameters(sSetParameter("PAT", sSeriesId, oHeaderView.sGetHierarchyParameters()), true);
      }
    }
  }
   
  function OnLoadEx()
  {
    var oHeaderView = oGetHeaderView();
    if (bExists(oHeaderView)) {
      var sMenuId = oHeaderView.sGetMenuId();
      var sPeriodId = oHeaderView.sGetNamedVariableValue('LASTSELPERID', false);
      var sPeriodDate = oHeaderView.sGetNamedVariableValue('LASTSELPERDATE', false);
      var sSeriesId = oHeaderView.sGetNamedVariableValue('LASTSELPATID', false);

      if(sMenuId && sPeriodId && (sPeriodId != "") && (sMenuId.indexOf('_scanalysis') != -1))
        parent.callFunction('<#SetCookieValueURL key="LASTSELPERID" product="QPRPORTAL">&SCV=' + sPeriodId);
      if(sMenuId && sPeriodDate && (sPeriodDate != "") && (sMenuId.indexOf('_scanalysis') != -1))
        parent.callFunction('<#SetCookieValueURL key="LASTSELPERDATE" product="QPRPORTAL">&SCV=' + sPeriodDate);
      if(sMenuId && sSeriesId && (sSeriesId != "") && (sMenuId.indexOf('_scanalysis') != -1))
        parent.callFunction('<#SetCookieValueURL key="LASTSELPATID" product="QPRPORTAL">&SCV=' + sSeriesId);
    }

    OnLoad();
    if (typeof(OnObjectQueryViewLoaded) != "undefined")
      OnObjectQueryViewLoaded();
  }
 
  function OnLastPeriodSet(vsPeriodId)
  {
    var oHeaderView = oGetHeaderView();
    if (bExists(oHeaderView))
      oHeaderView.SetNamedVariableValue('LASTSELPERID', vsPeriodId, false);
  }

  function OnLastSeriesSet(vsSeriesId)
  {
    var oHeaderView = oGetHeaderView();
    if (bExists(oHeaderView))
      oHeaderView.SetNamedVariableValue('LASTSELPATID', vsSeriesId, false);
  }
  
  function sGetViewId()
  {
    var iBookmarkId = sGetParameter("BOOKMARK", sGetDocumentLocation());
    if (iBookmarkId)
      return iBookmarkId;
    return sGetCurrentRoots();
  }

  function OnModelSelectionClosed(vsModelId)
  {
    var oMainView = oGetMainView();
    var oHeaderView = oGetHeaderView();
    if (oMainView && oHeaderView)
      oMainView.UpdateHierarchyParameters(sRemoveParameter("PER", sRemoveParameter("PAT", sSetParameter(ACT_PARAM_MODEL, vsModelId, oHeaderView.sGetHierarchyParameters()))));
  }
  
  function OpenModelSelection()
  {
    OpenWindow('<#ModelSelectionViewURL>','SettingsWindow',250,250,1);
  }
  
  function OpenModelProperties()
  {
    OpenInformationView('<#Model attribute="PropertiesViewURL">');
  }
  
  function iGetModelId()
  {
    var iResult = _iModelId;
    var sModelId = sGetParameter(ACT_PARAM_MODEL, sGetDocumentLocation());
    if (!sModelId) 
      sModelId = sGetParameter("MODELID", sGetDocumentLocation());
    if (!sModelId)
      sModelId = "<#Model attribute="id">";
    if (!iResult)
      iResult = parseInt(sModelId);
    return iResult;
  }

  function UpdateModelId(vsParams)
  {
    var iModelId = iGetModelId();
    if (iModelId)
      return sSetParameterEx(ACT_PARAM_MODEL, iModelId, vsParams);
    else
      return sRemoveParameter(ACT_PARAM_MODEL, vsParams);
  }
  
  function sOnApply()
  {
    var sParams = "";
    var sPeriodId = sGetParameter("PER", sGetDocumentLocation());
    var sSeriesId = sGetParameter("PAT", sGetDocumentLocation());
    var oHeaderView = oGetHeaderView();
    if (bExists(oHeaderView))
    {
      oHeaderView.SetNamedVariableValue('LASTSELPERID', sPeriodId, false);
      oHeaderView.SetNamedVariableValue('CURVSPERID', sPeriodId, false);
      oHeaderView.SetNamedVariableValue('LASTSELPATID', sSeriesId, false);
    }
    return sParams;
  }
  
  function sOnViewSettingsSelected(vsSettings)
  {
    var sParams = "";
    var sPeriodId = sGetParameter("PER", vsSettings);
    if (sPeriodId && ((iExtractModelId(sPeriodId) == _iModelId) || (iExtractObjectId(sPeriodId) < 0))) {
      var oHeaderView = oGetHeaderView();
      if (bExists(oHeaderView))
      {
        oHeaderView.SetNamedVariableValue('LASTSELPERID', sPeriodId, false);
        oHeaderView.SetNamedVariableValue('CURVSPERID', sPeriodId, false);
      }
      else
        sParams = sSetParameter("PER", sPeriodId, sParams);
    }
    var sSeriesId = sGetParameter("PAT", vsSettings);
    if (sSeriesId && ((iExtractModelId(sSeriesId) == _iModelId) || (iExtractObjectId(sSeriesId) < 0))) {
      var oHeaderView = oGetHeaderView();
      if (bExists(oHeaderView))
        oHeaderView.SetNamedVariableValue('LASTSELPATID', sSeriesId, false);
      else
        sParams = sSetParameter("PAT", sSeriesId, sParams);
    }
    return sParams;
  }
  
  function sGetViewSettingsParameters(vsParams)
  {
    var sPeriodId = sGetParameter("PER", sGetDocumentLocation());
    if (sPeriodId)
      vsParams = sSetParameter("PER", sPeriodId, vsParams);
    var sSeriesId = sGetParameter("PAT", sGetDocumentLocation());
    if (sSeriesId)
      vsParams = sSetParameter("PAT", sSeriesId, vsParams);
    return vsParams;
  }

  function AddNoAccessHierarchyNode(vsId, vsLabel, vsTypeName, vsIconURL, vbOpen, vbHasDynamicChildren)
  {
    AddNormalNode(vsId, vsLabel, "<#PluginImageFileLocation>scn_bu.gif", "", "SCPLUGINHierarchyRowNoLink", "tl", vbOpen, vsTypeName, vbHasDynamicChildren);
  }

  function sGetHierarchyLabel()
  {
    return "<#Object attribute="name" enc="html">";
  }
  
  function sGetHierarchyPropertiesURL()
  {
    return "javascript:oGetHierarchyTreeView().OpenModelProperties()";
  }

  function sGetHierarchyToolbarHTML()
  {
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Select Model">", "javascript:oGetHierarchyTreeView().OpenModelSelection()", "<#PortalImageFileLocation>icon_select_model.gif");
  }
</script>
<!-- [QPRTemplateEnd: jsobjectqueryscutils.tpl] -->
